------------------------------------------------------------
revno: 317
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2019-07-10 01:34:43 -0400
message:
  Release FoxtrotGPS 1.2.2
modified:
  NEWS
  configure.ac
------------------------------------------------------------
revno: 316
author: Charles Curley <charlescurley@charlescurley.com>
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2019-02-27 09:45:28 +0800
message:
  Update the interface to gps_read() for gpsd API version 7

  This change is available in gpsd version 3.18 and later.

  Kept deprecated code for users of older versions by using a version
  check.

  See-also: http://catb.org/gpsd/libgps.html
modified:
  src/gps_functions.c
------------------------------------------------------------
revno: 315
author: Charles Curley <charlescurley@charlescurley.com>
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2019-02-26 08:59:58 +0800
message:
  Use current glib thread functions when available

  Kept deprecated code for users of old glib by using version checks.

  Documentation:
  https://developer.gnome.org/glib/2.34/glib-Deprecated-Thread-APIs.html
  See-also:
  https://developer.gnome.org/glib/stable/glib-Version-Information.html#GLIB-CHECK-VERSION:CAPS
  Fixes: warning: ‘g_static_mutex_get_mutex_impl’ is deprecated:
  Use 'GMutex' instead [-Wdeprecated-declarations]
  Fixes: warning: ‘g_thread_create’ is deprecated: Use 'g_thread_new'
  instead [-Wdeprecated-declarations]
  Fixes: warning: ‘g_type_init’ is deprecated
  [-Wdeprecated-declarations]
  Cleanup-by: Paul Wise <pabs3@bonedaddy.net>
modified:
  src/friends.c
  src/geo_photos.c
  src/gps_functions.c
  src/hrm_functions.c
  src/init.c
  src/main.c
  src/tile_management.c
  src/tracks.c
------------------------------------------------------------
revno: 314
author: Pavel Machek <pavel@ucw.cz>
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Sun 2018-07-22 11:01:33 +0800
message:
  Add --lat/--lon options for setting waypoint from the command-line.

  Signed-off-by: Pavel Machek <pavel@ucw.cz>
modified:
  src/main.c
  src/poi.h
------------------------------------------------------------
revno: 313
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2018-04-08 00:00:04 -0400
message:
  Alter the version-string to indicate that builds from beyond this
  point are not `FoxtrotGPS 1.2.1'
modified:
  configure.ac
------------------------------------------------------------
revno: 312
tags: foxtrotgps-1.2.1
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2018-04-07 22:23:32 -0400
message:
  Update version-string to 1.2.1 for release
modified:
  configure.ac
------------------------------------------------------------
revno: 311
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2018-04-07 22:17:49 -0400
message:
  Release-notes for 1.2.1
modified:
  NEWS
------------------------------------------------------------
revno: 310
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2018-04-07 22:54:53 -0400
message:
  AUTHORS: include Paul Wise in list of current maintainers

  Paul, a tremendous amount of thanks to you for stepping up when I
  failed to.
modified:
  AUTHORS
------------------------------------------------------------
revno: 309
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2018-04-07 22:52:41 -0400
message:
  AUTHORS: don't imply that Marcus is still a current maintainer

  We haven't heard from him in years.
modified:
  AUTHORS
------------------------------------------------------------
revno: 308
author: Patryk Benderz <leadman@poczta.onet.pl>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: mersible-polish
timestamp: Wed 2015-02-18 12:15:40 +0100
message:
  Completed Polish translation via Launchpad.
modified:
  po/pl.po
------------------------------------------------------------
revno: 307
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2018-03-27 14:04:17 +0800
message:
  Update links

  Use final destination where links are redirects.

  Convert links from http to https, makes outgoing links slightly
  more secure.
modified:
  HACKING
  NEWS
  README
  contrib/convert2gpx.1
  contrib/convert2osm.1
  contrib/georss2foxtrotgps-poi
  contrib/gpx2osm
  doc/foxtrotgps.texi
  po/bg.po
  po/cs.po
  po/hu.po
  po/sk.po
  src/init.c
  src/route.c
------------------------------------------------------------
revno: 306
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2018-03-06 12:18:49 +0800
message:
  Consistently use tabs for indentation and spaces for alignment

  Only change it for files where this is already the case but
  some parts of the files are using some other convention.
modified:
  contrib/poi2osm
  src/callbacks.c
  src/friends.c
  src/geo_photos.c
  src/gps_functions.c
  src/init.c
  src/main.c
  src/poi.c
  src/tile_management.c
  src/tracks.c
------------------------------------------------------------
revno: 305
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2018-03-06 11:32:21 +0800
message:
  Remove trailing whitespace
modified:
  contrib/convert2gpx
  contrib/convert2osm
  contrib/gpx2osm
  contrib/osb2foxtrot
  doc/foxtrotgps.texi
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/it.po
  po/nl.po
  po/pl.po
  po/pt_BR.po
  po/ru.po
  po/sr.po
  src/callbacks.c
  src/converter.c
  src/converter.h
  src/exif.c
  src/friends.c
  src/friends.h
  src/geo_photos.c
  src/globals.c
  src/gps_functions.c
  src/hrm_functions.c
  src/init.c
  src/main.c
  src/map_management.c
  src/map_management.h
  src/poi.c
  src/route.c
  src/route.h
  src/support.c
  src/tile_management.c
  src/tracks.c
  src/util.c
  src/wp.c
  src/wp.h
------------------------------------------------------------
revno: 304
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2018-03-06 11:12:19 +0800
message:
  Remove gpsdstart.sh script since it is cruft

  It is not used in the code.

  It only prints "hello, world".
removed:
  src/gpsdstart.sh
modified:
  po/POTFILES.in
  src/Makefile.am
------------------------------------------------------------
revno: 303 [merge]
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2018-01-02 17:37:09 +0800
message:
  Merge branch to switch from GConf to GSettings

  GConf has been obsolete for years and
  is going to be removed from Debian soon.

  Fixes: https://bugs.debian.org/886082
removed:
  data/apps_foxtrotgps.schemas.in
added:
  data/org.foxtrotgps.convert
  data/org.foxtrotgps.gschema.xml
modified:
  .bzrignore
  README
  configure.ac
  data/Makefile.am
  po/POTFILES.in
  src/Makefile.am
  src/callbacks.c
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/init.c
  src/init.h
  src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.14
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:23:49 +0800
    message:
      Remove GConf from the requirements

      It is no longer used.

      The code has been migrated to GSettings from glib.
    modified:
      README
    ------------------------------------------------------------
    revno: 302.1.13
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:23:49 +0800
    message:
      gconf -> setting in strings

      Use setting instead of gsettings to avoid tying variables to
      technologies.
    modified:
      src/init.c
    ------------------------------------------------------------
    revno: 302.1.12
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:23:47 +0800
    message:
      gconf -> setting in variable names

      Use setting instead of gsettings to avoid tying variables to
      technologies.
    modified:
      src/init.c
    ------------------------------------------------------------
    revno: 302.1.11
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:28 +0800
    message:
      gconf -> settings in function names

      Use settings instead of gsettings to avoid tying variables to
      technologies.
    modified:
      src/callbacks.c
      src/init.c
      src/init.h
    ------------------------------------------------------------
    revno: 302.1.10
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:28 +0800
    message:
      gconftool-2 -> gsettings
    modified:
      src/init.c
    ------------------------------------------------------------
    revno: 302.1.9
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:28 +0800
    message:
      Convert GConf schema and build to GSettings

      Schema-conversion-by:
      gsettings-schema-convert --gconf --xml --schema-id "org.foxtrotgps"
      --output org.foxtrotgps.gschema.xml apps_foxtrotgps.schemas.in
      sed -i 's|/apps/|/org/|;s|<schema [^>]*|&
      gettext-domain="foxtrotgps"|' org.foxtrotgps.gschema.xml
      sed -n 's| ||g;s|</\?applyto>||gp' apps_foxtrotgps.schemas.in
      > gconf
      sed -n 's|.*name="\([^"]*\)".*|\1|p' org.foxtrotgps.gschema.xml
      > gsettings
      echo '[org.foxtrotgps:/org/foxtrotgps/]' > org.foxtrotgps.convert
      paste -d = gsettings gconf | sed 's/=/ = /' >>
      org.foxtrotgps.convert
      rm -f gconf gsettings apps_foxtrotgps.schemas.in

      Source-conversion-by:
      sed "s|^\([^ ]*\) = /apps/foxtrotgps/\(.*\)|git sed '\"\2\"'
      '\"\1\"'|" data/org.foxtrotgps.convert | tail -n +2 | sh
    removed:
      data/apps_foxtrotgps.schemas.in
    added:
      data/org.foxtrotgps.convert
      data/org.foxtrotgps.gschema.xml
    modified:
      .bzrignore
      configure.ac
      data/Makefile.am
      po/POTFILES.in
      src/callbacks.c
      src/geo_photos.c
      src/init.c
      src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.8
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:28 +0800
    message:
      Drop GConf build check, lib and cflags
    modified:
      configure.ac
      src/Makefile.am
    ------------------------------------------------------------
    revno: 302.1.7
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:27 +0800
    message:
      Drop inclusion of the gconf headers
    modified:
      src/globals.h
      src/init.c
      src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.6
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:27 +0800
    message:
      Drop GCONF configuration prefix

      In GSettings the keys are namespaced in schemas.
    modified:
      src/callbacks.c
      src/geo_photos.c
      src/globals.h
      src/init.c
      src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.5
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 17:22:25 +0800
    message:
      gconf_client_set_list -> g_settings_set_strv
    modified:
      src/init.c
    ------------------------------------------------------------
    revno: 302.1.4
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 15:42:25 +0800
    message:
      gconf_client_[gs]et_* -> g_settings_[gs]et_*

      Convert the functions for the simple types: bool int float string

      gsettings doesn't provide a human-readable error variable,
      so drop a lot of unused GError variables too.
    modified:
      src/callbacks.c
      src/geo_photos.c
      src/init.c
      src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.3
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 13:06:23 +0800
    message:
      gconf_client_get_default -> g_settings_new

      Factor out the schema name into a SCHEMA define.
    modified:
      src/globals.h
      src/init.c
    ------------------------------------------------------------
    revno: 302.1.2
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 10:36:34 +0800
    message:
      global_gconfclient -> global_settings

      Use settings instead of gsettings to avoid tying variables to
      technologies.
    modified:
      src/callbacks.c
      src/geo_photos.c
      src/globals.c
      src/globals.h
      src/init.c
      src/map_management.c
    ------------------------------------------------------------
    revno: 302.1.1
    committer: Paul Wise <pabs3@bonedaddy.net>
    branch nick: master
    timestamp: Tue 2018-01-02 10:34:57 +0800
    message:
      GConfClient -> GSettings
    modified:
      src/globals.c
      src/globals.h
------------------------------------------------------------
revno: 302
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:27:40 +0800
message:
  Add support for Python 3 and use it by default

  Python 2 will be EOL in 2020.

  Use the print function for files that pass multiple arguments to print.
  When run on Python 2, the default print statement behaves differently.
modified:
  contrib/georss2foxtrotgps-poi
  contrib/gpx2osm
  contrib/osb2foxtrot
  contrib/poi2osm
------------------------------------------------------------
revno: 301
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:27:16 +0800
message:
  Add support for using Python standard library sqlite3 API

  The pysqlite2 API migrated to the Python standard library and was
  renamed.
modified:
  contrib/osb2foxtrot
------------------------------------------------------------
revno: 300
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:16:15 +0800
message:
  Add support for the BeautifulSoup 4 API and use it by default

  A HTML parser must be chosen.

  The convertEntities and smartQuotesTo features no longer exist.
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 299
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:14:40 +0800
message:
  Add support for newer feedparser 'where' API

  Check it before other types because it is the default now.

  Both Simple and GML GeoRSS now resolve to this structure:

  'where': {'coordinates': (1.23, 3.21), 'type': 'Point'}
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 298
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:14:40 +0800
message:
  Add support for the W3C GeoRSS format

  It includes only support for points with lat/long in separate fields:

  <geo:lat>1.23</geo:lat>
  <geo:long>3.21</geo:long>
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 297
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:14:40 +0800
message:
  Add support for GeoRSS feeds with no descriptions for their items

  Just set an empty description for the POIs.
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 296
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2017-12-20 12:14:40 +0800
message:
  Use 'key' in dict syntax instead of dict.has_key(key)

  The dict.has_key function is deprecated:

  https://docs.python.org/2/library/stdtypes.html#dict.has_key
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 295
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Tue 2017-04-11 17:20:47 +0800
message:
  Switch maps-for-free.com from http to https

  The site now redirects from http to https and
  foxtrotgps does not yet support HTTP redirects.

  In addition it provides a bit of privacy on the network.

  Reported-by: Christian Barthel (bch)
  Reported-in: #foxtrotGPS
  Reported-on: freenode
modified:
  src/tile_management.c
------------------------------------------------------------
revno: 294
author: Branko Majic <branko@majic.rs>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2014-11-09 17:35:20 -0500
message:
  Completed Serbian translation

  via Launchpad.
modified:
  po/sr.po
------------------------------------------------------------
revno: 293
fixes bug: https://launchpad.net/bugs/1390778
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2014-11-08 13:43:41 -0500
message:
  photo geocoding: don't skip loading track-files based on their name

  Don't try to be smart, here--just pass track-files through to the
  loader unconditionally.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 292
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2014-11-08 13:14:14 -0500
message:
  Don't set toolbar icon-size.

  This hasn't been working for a while, since libglade apparently
  changed the syntax it expects (GTK_ICON_SIZE_BUTTON just results in
  a error-message on the console and the defaults being used).

  Since nobody's complained about the icons being the wrong size, we may
  as well just accept that the defaults (whatever they are) are correct.
modified:
  data/foxtrotgps.glade
------------------------------------------------------------
revno: 291
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2014-11-08 13:01:48 -0500
message:
  Don't try to set non-existent friend-finder text-field.
modified:
  src/init.c
------------------------------------------------------------
revno: 290
fixes bug: https://launchpad.net/bugs/610743
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2014-11-08 12:55:34 -0500
message:
  Remove overzealous debugging printf() calls.

  Keep the ones that report error/warning conditions, for now.
modified:
  src/callbacks.c
  src/friends.c
  src/geo_photos.c
  src/gps_functions.c
  src/hrm_functions.c
  src/init.c
  src/main.c
  src/map_management.c
  src/poi.c
  src/route.c
  src/tile_management.c
  src/tracks.c
  src/util.c
  src/wp.c
------------------------------------------------------------
revno: 289
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2014-11-08 13:48:11 -0500
message:
  Alter the version-string to indicate that builds from beyond this
  point are not `FoxtrotGPS 1.2.0'.
modified:
  configure.ac
------------------------------------------------------------
revno: 288
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Mon 2014-10-27 05:26:15 +0800
message:
  Switch the yournavigation.org API usage to version 1.0 and KML.

  Asking for gpx just gives KML anyway.

  Using the dev API gives an error message.

  Fixes: https://bugs.launchpad.net/bugs/1385924
  Signed-off-by: Paul Wise <pabs3@bonedaddy.net>
modified:
  src/tracks.c
------------------------------------------------------------
revno: 287
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Mon 2014-10-27 05:26:05 +0800
message:
  Add support for parsing KML based tracks.

  Signed-off-by: Paul Wise <pabs3@bonedaddy.net>
modified:
  src/tracks.c
------------------------------------------------------------
revno: 286
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Fri 2014-10-24 16:29:02 +0800
message:
  Fix French Keywords entry in FreeDesktop menu file
modified:
  po/fr.po
------------------------------------------------------------
revno: 285
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Fri 2014-10-24 16:14:41 +0800
message:
  Add @dircategory and @direntry for the GNU info documentation
modified:
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 284
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Fri 2014-10-24 15:36:26 +0800
message:
  Fix various typos

  Found-by: codespell --quiet-level=3
modified:
  NEWS
  contrib/poi2osm
  data/foxtrotgps.glade
  doc/foxtrotgps.texi
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/it.po
  po/ja.po
  po/nl.po
  po/pl.po
  po/pt_BR.po
  po/ru.po
  po/sk.po
  po/sr.po
------------------------------------------------------------
revno: 283
tags: foxtrotgps-1.2.0
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2014-10-24 00:57:05 -0400
message:
  Update version-string to 1.2.0 for release.
modified:
  configure.ac
------------------------------------------------------------
revno: 282
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2014-10-24 00:06:44 -0400
message:
  Release-notes for 1.2.0.
modified:
  NEWS
------------------------------------------------------------
revno: 281
author: Daniele Forsi <daniele@forsi.it>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 03:04:37 -0400
message:
  Partial Italian translation

  via Launchpad.
added:
  po/it.po
modified:
  configure.ac
------------------------------------------------------------
revno: 280
author: Patryk Benderz <leadman@poczta.onet.pl>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 21:23:47 -0400
message:
  Partial Polish translation

  via Launchpad.
added:
  po/pl.po
modified:
  configure.ac
------------------------------------------------------------
revno: 279
author: Victor Benso <vbenso@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 02:22:52 -0400
message:
  Partial Brazilian Portugese translation

  via Launchpad.
added:
  po/pt_BR.po
modified:
  configure.ac
------------------------------------------------------------
revno: 278
author: Jiří Pinkava <j-pi@seznam.cz>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 03:33:28 -0400
message:
  Updated Czech translation.
modified:
  po/cs.po
------------------------------------------------------------
revno: 277
author: Vadim Efimov <evadim@evadim.ru>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 00:39:34 -0400
message:
  Russian translation updates

  via Launchpad.
modified:
  po/ru.po
------------------------------------------------------------
revno: 276
author: Marc Verwerft <marc.js.verwerft@gmail.com>, Ed Kapitein
<ed@kapitein.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 00:26:29 -0400
message:
  Updated Dutch translation

  via Launchpad.
modified:
  po/nl.po
------------------------------------------------------------
revno: 275
author: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>, Philippe
Coval <rzr@gna.org>, Steve Petruzzello <dlist@bluewin.ch>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-23 00:09:32 -0400
message:
  Updated French translation

  via Launchpad.
modified:
  po/fr.po
------------------------------------------------------------
revno: 274
author: Cristian Gómez <cristianpark@hotmail.com>, Dailos Franchy
<dfranchy@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2014-10-22 23:50:46 -0400
message:
  Updated Spanish translation

  via Launchpad.
modified:
  po/es.po
------------------------------------------------------------
revno: 273
author: Timo Jyrinki <timo.jyrinki@iki.fi>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2014-10-22 23:33:28 -0400
message:
  Updated Finnish translation

  via Launchpad.
modified:
  po/fi.po
------------------------------------------------------------
revno: 272
author: Simon Vetter <simonvetter@gmx.net>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2014-10-22 23:33:19 -0400
message:
  Updated German translation

  via Launchpad.
modified:
  po/de.po
------------------------------------------------------------
revno: 271
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-02 01:00:12 -0400
message:
  String-freeze leading up to 1.2.0 release

  Updated translations via `make update-po'.
modified:
  configure.ac
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/ja.po
  po/nl.po
  po/ru.po
  po/sk.po
  po/sr.po
------------------------------------------------------------
revno: 270
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2014-10-02 00:08:52 -0400
message:
  Guard against buffer-overflows in map repo URL formatter.
modified:
  src/tile_management.c
------------------------------------------------------------
revno: 269
fixes bug: https://launchpad.net/bugs/1316914
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2014-10-01 23:16:25 -0400
message:
  Sanitize map repo URL templates before sprintf-ing them.
modified:
  src/tile_management.c
------------------------------------------------------------
revno: 268
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Wed 2014-10-01 13:48:29 +0800
message:
  Ignore some more generated files.
modified:
  .bzrignore
------------------------------------------------------------
revno: 267
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2014-10-01 01:34:01 -0400
message:
  Update Google URL-patterns

  These match what osm-gps-map is using, and seem to work.
modified:
  doc/foxtrotgps.texi
  src/init.c
------------------------------------------------------------
revno: 266
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: master
timestamp: Mon 2014-09-15 08:09:04 +0800
message:
  The len variable is signed, use the right printf conversion character
modified:
  src/hrm_functions.c
------------------------------------------------------------
revno: 265
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Tue 2014-09-09 08:52:14 +0800
message:
  Use example.com instead of mydomain.com
modified:
  HACKING
------------------------------------------------------------
revno: 264
fixes bug: https://launchpad.net/bugs/1327597
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2014-06-13 17:28:44 -0400
message:
  Include UTC-offset in timestamps used to name GPX files.

  This protects against confusion when logging/using tracks around DST
  or other timezone-transitions (where `the same 1-hour span' can occur
  twice in a row and collide with itself if the timestamps are zoneless),
  and is probably more user-friendly than the alternative solution
  of putting UTC timestamps in the filenames.
modified:
  src/tracks.c
------------------------------------------------------------
revno: 263
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Tue 2014-06-10 08:57:20 +0800
message:
  Use gmtime and the UTC timezone for times in GPX files.

  strftime %Z is incompatible with GPX time and not unique.

  strftime %s is not available everywhere apparently.

  Fixes: https://launchpad.net/bugs/1327597
modified:
  src/route.c
  src/tracks.c
------------------------------------------------------------
revno: 262
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Sun 2014-06-08 10:34:16 +0800
message:
  Include the timezone in the GPX tracks

  Fixes: https://launchpad.net/bugs/1327597
modified:
  src/tracks.c
------------------------------------------------------------
revno: 261
fixes bug: https://launchpad.net/bugs/1315723
author: Karl-Georg Warnick <spinnorbital@gmx.de>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2014-05-05 22:29:31 -0400
message:
  Don't scale heading-angle according to linear units.

  The heading displayed in the info pane and the direction drawn on
  the map
  are already correct; this brings the display at the bottom of the screen
  into line.
modified:
  src/gps_functions.c
------------------------------------------------------------
revno: 260
fixes bug: https://launchpad.net/bugs/1198691
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-12-07 16:57:49 -0500
message:
  Prevent geocoding from *disabling* "show photos".

  Call gtk_check_menu_item_set_active() rather than
  gtk_menu_item_activate()
  on the "show photos" menu-item for conditional activation.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 259
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-09-15 22:10:32 -0400
message:
  Correct use of "waypoint" to "routepoint" throughout the manual.
modified:
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 258
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-09-15 22:09:13 -0400
message:
  Prevent logo/manual name-conflicts when making PDFs with newer Texinfo.

  The texinfo.tex from Texinfo 4.12 (distributed with Automake 1.11.2)
  tries to use PDF-formatted images in preference to PNG images,
  and fails if there happens to be an incompletely-generated PDF
  by the same name... because the manual itself has the same name
  as one of the images used in it.

  So, give the logo a distinct name of "foxtrotgps-logo".
modified:
  doc/Makefile.am
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 257
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Sun 2013-08-18 21:52:30 -0400
message:
  Disable geocoding entirely if gpscorrelate is unavailable.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
------------------------------------------------------------
revno: 256
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Mon 2013-12-02 01:10:09 -0500
message:
  Call gpscorrelate directly from the C code.

  This obviates the need for the `geocode' script entirely.
removed:
  scripts/
  scripts/Makefile.am
  scripts/geocode
modified:
  Makefile.am
  configure.ac
  src/geo_photos.c
------------------------------------------------------------
revno: 255
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Sun 2013-08-18 19:45:55 -0400
message:
  Drop support for geocoding from old-style .log files.

  We've been producing GPX natively since the last major release,
  and there are scripts for converting the old files to GPX.

  Not needing to do inline conversion from the old format
  is one less reason to maintain our `geocode' script
  rather than just calling gpscorrelate directly.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 254
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Sun 2013-12-01 23:21:03 -0500
message:
  Call out to the geocode script more safely.

  Use a broken-out argv to avoid shell quoting issues.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 253
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Mon 2013-08-19 00:12:09 -0400
message:
  Disable adding photos to the database if jhead is unavailable.

  We have to do something to make up for jhead errors no longer
  being reportable via the `output from gpscorrelate' dialog.
  I think this is actually better than the old way.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
------------------------------------------------------------
revno: 252
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Sun 2013-12-01 23:17:41 -0500
message:
  Move exif2db logic from Perl to C.

  This allows us to resolve the input-sanitation issues
  better than is possible with the sqlite3 command-line interface.
modified:
  scripts/geocode
  src/geo_photos.c
------------------------------------------------------------
revno: 251
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-07-07 23:37:58 -0400
message:
  Make sql_execute take const arguments.
modified:
  src/util.c
  src/util.h
------------------------------------------------------------
revno: 250
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Sun 2013-07-07 16:57:33 -0400
message:
  Remove superfluous code from exif2db.
modified:
  scripts/geocode
------------------------------------------------------------
revno: 249
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: input-sanitation
timestamp: Mon 2013-07-08 00:48:49 -0400
message:
  Call out to gpscorrelate more safely.

  Use a broken-out argv to avoid shell quoting issues.
modified:
  scripts/geocode
------------------------------------------------------------
revno: 248
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Sun 2013-11-17 09:40:36 +0800
message:
  Prevent use of uninitialized variables
modified:
  src/tracks.c
------------------------------------------------------------
revno: 247
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-07-07 01:14:21 -0400
message:
  Fix tempfile vulnerability.
modified:
  scripts/geocode
------------------------------------------------------------
revno: 246
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-07-06 13:44:35 -0400
message:
  Install geocode script into the correct directory.
modified:
  scripts/Makefile.am
------------------------------------------------------------
revno: 245
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-07-05 11:53:29 -0400
message:
  Add missing Makefile.am for geocoding script.
added:
  scripts/Makefile.am
------------------------------------------------------------
revno: 244
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-06-28 01:03:40 -0400
message:
  Extricate the `geocode' Perl script from the C code.

  Not only does this make all of this code less bizarre and
  unmaintainable,
  it also fixes a tempfile vulnerability....
added:
  scripts/
  scripts/geocode
modified:
  Makefile.am
  configure.ac
  src/Makefile.am
  src/geo_photos.c
------------------------------------------------------------
revno: 243
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-06-28 00:24:56 -0400
message:
  Make bzr ignore the INSTALL file from autoreconf.
modified:
  .bzrignore
------------------------------------------------------------
revno: 242
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-06-28 00:15:47 -0400
message:
  Remove README.install.

  It's a redundant subset of what's in the main README.
removed:
  README.install
------------------------------------------------------------
revno: 241
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-06-28 00:13:16 -0400
message:
  Protect load_file_nto_list() against failed fopen().
modified:
  src/tracks.c
------------------------------------------------------------
revno: 240
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2013-06-28 00:12:25 -0400
message:
  Don't leak FILEs from load_file_into_list().
modified:
  src/tracks.c
------------------------------------------------------------
revno: 239
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Tue 2013-06-25 14:16:51 +0800
message:
  Fix some memory leaks
modified:
  src/geo_photos.c
  src/map_management.c
  src/tracks.c
------------------------------------------------------------
revno: 238
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Tue 2013-06-25 13:45:40 +0800
message:
  Split the FoxtrotGPS-specific install info out of INSTALL so autoreconf
  gives the latest one
removed:
  INSTALL
added:
  README.install
------------------------------------------------------------
revno: 237
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2013-06-12 00:48:57 -0400
message:
  Wrap the GTK+ init/mainloop sequence in
  gdk_threads_enter()/gdk_threads_leave().

  We used to do this right, but removed the required calls for some
  reason....

  It's in the GTK+ manual, and it turns out that this is actually
  necessary;
  users on FreeBSD and OpenBSD have reported crashes, e.g.:

          http://lists.freebsd.org/pipermail/freebsd-ports/2013-April/083142.html
modified:
  src/main.c
------------------------------------------------------------
revno: 236
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Wed 2013-04-17 16:14:41 +0800
message:
  Add some keywords to the FreeDesktop menu file
modified:
  data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 235
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Wed 2013-04-17 16:14:41 +0800
message:
  Delete the mkinstalldirs file from the VCS since it is from autotools.
removed:
  mkinstalldirs
------------------------------------------------------------
revno: 234
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Wed 2013-04-17 16:14:40 +0800
message:
  Drop obsolete Encoding field from the FreeDesktop menu file
modified:
  data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 233
committer: Paul Wise <pabs3@bonedaddy.net>
branch nick: foxtrotgps
timestamp: Wed 2013-04-17 16:14:40 +0800
message:
  Fix typo
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 232
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2013-01-21 00:20:14 -0500
message:
  Include a "help" item at the bottom of the pop-up menu.
  Use xdg-open to open the installed HTML manual in the user's preferred
  web-browser.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/callbacks.h
------------------------------------------------------------
revno: 231
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: help
timestamp: Sun 2013-01-20 18:28:13 -0500
message:
  Define a PACKAGE_HTML_DIR macro when compiling
  so that the C code can know where HTML docs are installed.
modified:
  src/Makefile.am
------------------------------------------------------------
revno: 230
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-20 18:20:56 -0500
message:
  Tell bzr to ignore generated man-page *template*
  in addition to the final man page.
modified:
  .bzrignore
------------------------------------------------------------
revno: 229
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-01-12 18:15:29 -0500
message:
  Distribute/install gpx2osm along with the other contrib scripts.
modified:
  contrib/Makefile.am
------------------------------------------------------------
revno: 228
author: David Bannon <dbannon@internode.on.net>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-01-12 18:14:59 -0500
message:
  Include a `gpx2osm' script to convert GPX logs to OpenStreetMap format
  similarly to what the `convert2osm' script does for old-style CSV logs.
added:
  contrib/gpx2osm
------------------------------------------------------------
revno: 227
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-01-12 15:46:51 -0500
message:
  Auto-wrap long lines in ChangeLog.
modified:
  Makefile.am
------------------------------------------------------------
revno: 226
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-01-12 15:46:23 -0500
message:
  Modernise our Autotools setup.

  Drop AC_ISC_POSIX, since the Autoconf manual says it's unnecessary.
  Use IT_PROG_INTLTOOL rather than AC_PROG_INTLTOOL.
  Use LT_INIT rather than AM_PROG_LIBTOOL.
  Use AC_CONFIG_FILES rather than specifying files in AC_OUTPUT.
renamed:
  configure.in => configure.ac
modified:
  doc/Makefile.am
  configure.ac
------------------------------------------------------------
revno: 225 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2013-01-12 02:34:29 -0500
message:
  Correct texinfo-migration mistakes/omissions.
renamed:
  doc/foxtrotgps.h2m => doc/foxtrotgps.h2m.in
modified:
  configure.in
  doc/Makefile.am
  doc/foxtrotgps.h2m.in
    ------------------------------------------------------------
    revno: 218.1.13
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Fri 2013-01-11 02:01:53 -0500
    message:
      Refer to the HTML manual from the man page.
      Since this involves a path that's not set until configure/build,
      build of the man page needs to be reworked: we have to distribute
      a template instead of the man page, and have the Makefile perform
      substitutions on that.
      Since foxtrotgps.h2m ends up including autoconf-style templating
      and being used to produce foxtrotgps.1.in, rename it accordingly.
    renamed:
      doc/foxtrotgps.h2m => doc/foxtrotgps.h2m.in
    modified:
      doc/Makefile.am
      doc/foxtrotgps.h2m.in
    ------------------------------------------------------------
    revno: 218.1.12
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Fri 2013-01-11 01:57:51 -0500
    message:
      Make maintainer-clean remove autogenerated man page and EPS files.
    modified:
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-12 02:33:50 -0500
    message:
      Explicitly ask Autoconf to check for "ln -s" and define LN_S
      since we use it in doc/Makefile.am.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 218.1.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Fri 2013-01-11 00:46:39 -0500
    message:
      Install HTML manual into htmldir rather than docdir.
    modified:
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.9
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-12 01:00:58 -0500
    message:
      Make the man page buildable outside the source tree.
    modified:
      doc/Makefile.am
------------------------------------------------------------
revno: 224
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 20:14:51 -0500
message:
  Enable Automake maintainer-mode by default.
  This makes building out of bzr more straightforward (e.g.: our texinfo
  manual requires some files that are generated only in maintainer-mode)
  and more reliable, and makes it more likely that we'll catch related
  issues sooner.
  In case something does go wrong and downstream builders need a
  workaround, they can still configure with "--disable-maintainer-mode".
modified:
  configure.in
------------------------------------------------------------
revno: 223
author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 16:10:26 -0500
message:
  Document route-finding and route-planing facilities.
modified:
  doc/Makefile.am
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 222
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 16:10:16 -0500
message:
  Update notes about log-format to reflect the changeover to GPX in
  FoxtrotGPS 1.1.0.
modified:
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 221
author: David Bannon <dbannon@internode.on.net>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 16:09:54 -0500
message:
  Provide more comprehensive documentation
  including a more detailed introduction,
  and HOWTOs for track-logging and tilecache-management.
modified:
  doc/Makefile.am
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 220
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 16:08:54 -0500
message:
  License the manual under the Creative Commons Attribution-ShareAlike
  (CC BY-SA) 3.0 Unported License.
added:
  doc/cc-by-sa.png
modified:
  .bzrignore
  doc/Makefile.am
  doc/foxtrotgps.texi
------------------------------------------------------------
revno: 219 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 16:33:00 -0500
message:
  Maintain the manual in texinfo with an autogenerated man page
  so that we can ship a full HTML manual and shim man page,
  and generate other nice formats like PDF as desired.
  Texinfo should also be easier for more people to work with than
  troff/mandoc.
added:
  doc/foxtrotgps.h2m
renamed:
  doc/foxtrotgps.1 => doc/foxtrotgps.texi
modified:
  .bzrignore
  INSTALL
  README
  doc/Makefile.am
  src/main.c
  doc/foxtrotgps.texi
    ------------------------------------------------------------
    revno: 218.1.8
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-05 02:15:44 -0500
    message:
      Use a universally-accessible colour to highlight PDF links
      per the Color Universal Design specification
      <http://jfly.iam.u-tokyo.ac.jp/color/>.
    modified:
      doc/foxtrotgps.texi
    ------------------------------------------------------------
    revno: 218.1.7
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-05 01:18:06 -0500
    message:
      Install the HTML manual, and distribute it in tarballs.
    modified:
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.6
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sun 2013-01-06 14:22:07 -0500
    message:
      Make DVI- and PostScript-genereation work with PNG images.
      This makes `make distcheck' work again.
    modified:
      .bzrignore
      INSTALL
      README
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sun 2013-01-06 00:40:39 -0500
    message:
      Try fetching missing screenshots from upstream with bzr.
    modified:
      .bzrignore
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-05 00:54:19 -0500
    message:
      Avoid splitting generated HTML manual.
    modified:
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-05 18:17:17 -0500
    message:
      Provide a Makefile rule for generating a plaintext manual.
    modified:
      .bzrignore
      doc/Makefile.am
    ------------------------------------------------------------
    revno: 218.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sat 2013-01-05 20:48:33 -0500
    message:
      Autogenerate a basically-useful man page.
    added:
      doc/foxtrotgps.h2m
    modified:
      .bzrignore
      INSTALL
      README
      doc/Makefile.am
      src/main.c
    ------------------------------------------------------------
    revno: 218.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: texinfo
    timestamp: Sun 2013-01-06 16:28:15 -0500
    message:
      Reform the foxtrotgps man page into a texinfo document.
    renamed:
      doc/foxtrotgps.1 => doc/foxtrotgps.texi
    modified:
      .bzrignore
      INSTALL
      README
      doc/Makefile.am
      doc/foxtrotgps.texi
------------------------------------------------------------
revno: 218
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2013-01-06 14:44:21 -0500
message:
  Correct "Openstreetmap" to "OpenStreetMap" in the man page.
modified:
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 217
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2012-11-06 00:01:24 -0500
message:
  Fix literal occurrences of "FoxtrotGPS" in user-visible strings.
  Defer to PACKAGE_NAME instead (translated where appropriate).
modified:
  src/geo_photos.c
  src/tracks.c
------------------------------------------------------------
revno: 216
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tracklog-toggle-toolbutton
timestamp: Mon 2012-11-05 23:28:35 -0500
message:
  Include a track-logging toggle on the left toolbar
  as an adjunct to the checkbox in the logging panel.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
------------------------------------------------------------
revno: 215
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-10-29 22:46:17 -0400
message:
  Consistently use GDK's symbolic key-names
  rather than symbolic names sometimes and raw keyvals others.
modified:
  src/callbacks.c
------------------------------------------------------------
revno: 214
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-10-29 22:27:22 -0400
message:
  Document keyboard shortcuts in the manual.
modified:
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 213
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-10-29 02:39:13 -0400
message:
  Make the map-widget take focus by default
  so that keyboard shortcuts work without needing to shift the toolbar
  first.
modified:
  data/foxtrotgps.glade
------------------------------------------------------------
revno: 212
author: Vita Cizek <civ@blema.cz>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-10-11 23:31:34 -0400
message:
  Rename print_track() to paint_track()
  for consistency with the other paint-functions.
modified:
  src/callbacks.c
  src/callbacks.h
  src/map_management.c
  src/tile_management.c
  src/tracks.c
  src/tracks.h
------------------------------------------------------------
revno: 211
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-10-11 23:19:06 -0400
message:
  Remove dead code from print_track().
modified:
  src/tracks.c
------------------------------------------------------------
revno: 210 [merge]
fixes bug: https://launchpad.net/bugs/1035343
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-09-20 22:33:26 -0400
message:
  Support interactive route-planning.
added:
  src/route.c
  src/route.h
modified:
  data/foxtrotgps.glade
  src/Makefile.am
  src/callbacks.c
  src/callbacks.h
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/main.c
  src/map_management.c
  src/tile_management.c
  src/tracks.c
  src/tracks.h
  src/wp.c
  src/wp.h
    ------------------------------------------------------------
    revno: 208.1.8
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Wed 2012-09-19 00:18:13 -0400
    message:
      Move route-finding, route-planing, and waypoint operations to
      separate menus
      to make the differences between them less confusing.
      Relabel the route-planning operations to refer to `routepoints'
      rather than `waypoints'.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 208.1.7
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Fri 2012-09-14 00:18:01 -0400
    message:
      Support saving planned routes as TomTom ITN files.
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/callbacks.h
      src/route.c
      src/route.h
    ------------------------------------------------------------
    revno: 208.1.6
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Fri 2012-09-14 00:15:57 -0400
    message:
      Support saving and loading of planned routes in GPX 1.1 files.
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/callbacks.h
      src/route.c
      src/route.h
    ------------------------------------------------------------
    revno: 208.1.5
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Thu 2012-09-13 22:26:04 -0400
    message:
      Add choose_load_file() and choose_save_file() utility functions
      to support selecting files of files for reading/writing.
    modified:
      src/route.c
      src/route.h
    ------------------------------------------------------------
    revno: 208.1.4
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Wed 2012-09-19 00:28:59 -0400
    message:
      Add route-planning functionality
      via new `add WP' and `clear route' menu-items, and a context-menu
      on routepoints.
    added:
      src/route.c
      src/route.h
    modified:
      data/foxtrotgps.glade
      src/Makefile.am
      src/callbacks.c
      src/callbacks.h
      src/globals.c
      src/globals.h
      src/main.c
      src/map_management.c
      src/tile_management.c
    ------------------------------------------------------------
    revno: 208.1.3
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Wed 2012-09-19 00:11:13 -0400
    message:
      Abstract track-autozoom/-autocenter logic
      from tracks_on_file_button_release_event() and
      process_fetched_track() into show_bbox().
      Note: the use of bbox_t in the show_bbox() prototype makes tracks.h
      dependent on tile_management.h.
    modified:
      src/geo_photos.c
      src/tracks.c
      src/tracks.h
    ------------------------------------------------------------
    revno: 208.1.2
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-planning
    timestamp: Wed 2012-09-12 00:05:27 -0400
    message:
      Move the `waypoint flag'-loading logic into a load_wp_icon()
      function for reuse.
    modified:
      src/wp.c
      src/wp.h
    ------------------------------------------------------------
    revno: 208.1.1
    author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trunk
    timestamp: Mon 2012-09-17 23:49:49 -0400
    message:
      Provied comments clarifying what the `WTFCOUNTER' is for.
    modified:
      src/callbacks.c
------------------------------------------------------------
revno: 209
author: Dr. Tilmann Bubeck <t.bubeck@reinform.de>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-09-20 22:33:15 -0400
message:
  Provide comments clarifying what the `WTFCOUNTER' is for.
modified:
  src/callbacks.c
------------------------------------------------------------
revno: 208
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-09-17 09:15:33 -0400
message:
  Alter the version-string to indicate that builds from beyond this
  point are not `FoxtrotGPS 1.1.1'.
modified:
  configure.in
------------------------------------------------------------
revno: 207
tags: foxtrotgps-1.1.1
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-06-14 00:29:40 -0400
message:
  Update version-strings to 1.1.1.
modified:
  NEWS
  configure.in
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 206
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-06-14 00:09:45 -0400
message:
  Include notes for increased zoom-limit and GPX lat/lon precision
  in NEWS.
modified:
  NEWS
------------------------------------------------------------
revno: 205 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-06-14 00:00:32 -0400
message:
  Document the `per-POI icons' feature.
modified:
  NEWS
  doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 200.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi-icons
    timestamp: Wed 2012-06-13 23:56:03 -0400
    message:
      Include `distinctive POI-icons' notes in NEWS.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 200.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi-icons
    timestamp: Wed 2012-06-13 23:15:28 -0400
    message:
      Briefly describe the new POI-icon capabilities in the manpage.
    modified:
      doc/foxtrotgps.1
------------------------------------------------------------
revno: 204 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2012-06-13 23:48:40 -0400
message:
  Note in NEWS that route-finding works again.
modified:
  NEWS
    ------------------------------------------------------------
    revno: 201.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: route-services
    timestamp: Wed 2012-06-13 23:45:19 -0400
    message:
      Note the routefinder-revival in NEWS.
    modified:
      NEWS
------------------------------------------------------------
revno: 203
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2012-06-13 22:25:32 -0400
message:
  Update the Google Sat URL to use "v=113".
modified:
  src/init.c
------------------------------------------------------------
revno: 202 [merge]
fixes bug: https://launchpad.net/bugs/692429
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-05-31 22:01:33 -0400
message:
  Make route-finding work again, by interacting directly with the
  routing servers
  rather than proxying through tangogps.org (which appears to be dead).
modified:
  src/callbacks.c
  src/tracks.c
  src/tracks.h
  src/util.c
  src/util.h
    ------------------------------------------------------------
    revno: 201.1.2
    committer: Benjamin Deering <ben_deering@swissmail.org>
    branch nick: foxtrot-revert2
    timestamp: Thu 2012-05-31 20:56:03 -0400
    message:
      Added support for openrouteservice XML route finding.
      Note: openrouteservice routes are not saved as gpx because
      openrouteservice does not provide gpx data to save.
    modified:
      src/tracks.c
      src/util.c
      src/util.h
    ------------------------------------------------------------
    revno: 201.1.1
    committer: Benjamin Deering <ben_deering@swissmail.org>
    branch nick: foxtrot-revert2
    timestamp: Thu 2012-05-31 20:23:47 -0400
    message:
      Choose route services based on name rather than numbered position in
      the menu, use direct url to yournavigation instead of tangogps proxy
    modified:
      src/callbacks.c
      src/tracks.c
      src/tracks.h
------------------------------------------------------------
revno: 201 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-05-24 22:52:30 -0400
message:
  Support showing distinct per-POI icons.
modified:
  src/poi.c
    ------------------------------------------------------------
    revno: 200.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi-icons
    timestamp: Sun 2012-04-01 23:32:21 -0400
    message:
      Try generating VisualIDs for POI-icons before falling back to the
      generic icon.
      This uses the `mkvisualid' command from libvisualid:

              http://www.hackerposse.com/~rozzin/VisualIDs
    modified:
      src/poi.c
    ------------------------------------------------------------
    revno: 200.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi-icons
    timestamp: Sun 2012-04-01 23:23:24 -0400
    message:
      Load user-defined, per-POI icons from .foxtrotgps/poi-icons
      using a new get_poi_icon() function.
      Lookup icons based on POI-name, and cache them aggressively.
      Fall back on the generic POI-icon unless/until a POI-specific icon
      is available.
    modified:
      src/poi.c
    ------------------------------------------------------------
    revno: 200.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi-icons
    timestamp: Sat 2012-03-31 01:21:53 -0400
    message:
      Automatically calculate dimensions of loaded POI pixbufs
      rather than overspecifying.
      This frees us to use different-sized POI icons--even non-square
      icons.
    modified:
      src/poi.c
------------------------------------------------------------
revno: 200
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-05-14 22:36:01 -0400
message:
  Revert to using "%f" to log lat/lon into GPX tracks.
  This way we get 6 digits after the decimal point, rather than 6 digits
  of *significand*.
  "%g" often results in only 3 trailing digits, which is too sloppy; 6
  digits is probably overkill, but only slightly--and it better matches
  user expectations inherited from other packages.
modified:
  src/tracks.c
------------------------------------------------------------
revno: 199
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-05-14 22:29:07 -0400
message:
  Raise the default `maxzoom' for tiles to 18, since OpenStreetMap
  actually goes up that high.
modified:
  src/tile_management.c
------------------------------------------------------------
revno: 198
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2012-04-03 20:05:47 -0400
message:
  Use sqlite3_mprintf() to build SQL statements with proper quoting
  rather than using my_strescape().
  This means that single- and double-quote characters in POI names and
  descriptions are no longer converted to backquotes.
modified:
  NEWS
  src/poi.c
------------------------------------------------------------
revno: 197
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-04-02 09:23:32 -0400
message:
  Alter the version-string to indicate that builds from beyond this
  point are not `FoxtrotGPS 1.1.0'.
modified:
  configure.in
------------------------------------------------------------
revno: 196
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2012-04-02 00:37:45 -0400
message:
  Fix the 1.1.0 NEWS entry to unambiguously name the version.
modified:
  NEWS
------------------------------------------------------------
revno: 195
tags: foxtrotgps-1.1.0
author: Sander van Grieken <sander@outrightsolutions.nl>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2012-02-05 23:25:38 -0500
message:
  Correct the age-old "seen_vaild" typo.
modified:
  src/globals.h
  src/gps_functions.c
------------------------------------------------------------
revno: 194
author: Sander van Grieken <sander@outrightsolutions.nl>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2012-02-05 23:19:04 -0500
message:
  Ignore Eclipse project-files for cdt/autotools plugins.
modified:
  .bzrignore
------------------------------------------------------------
revno: 193
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2012-01-28 11:28:29 -0500
message:
  Make the `fullscreen' button into a toggle
  so that it's readily apparent, from the visual state of the button,
  whether we're actually in fullscreen mode or not.
modified:
  NEWS
  data/foxtrotgps.glade
  src/callbacks.c
  src/callbacks.h
  src/main.c
------------------------------------------------------------
revno: 192
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-27 01:06:04 -0500
message:
  Make the `autocenter' button into a *toggle*
  so that it's readily apparent, from the visual state of the button,
  whether we're in autocenter mode or not.
modified:
  NEWS
  data/foxtrotgps.glade
  src/callbacks.c
  src/callbacks.h
  src/init.c
------------------------------------------------------------
revno: 191 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-27 01:05:36 -0500
message:
  Bundle the `osb2tango' converter script (renamed to `obs2foxtrot').
added:
  contrib/README.osb2foxtrot
  contrib/osb2foxtrot
modified:
  NEWS
  contrib/Makefile.am
    ------------------------------------------------------------
    revno: 190.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: osb2tango
    timestamp: Fri 2012-01-27 00:34:36 -0500
    message:
      Install & distribute osb2foxtrot and its README.
    modified:
      NEWS
      contrib/Makefile.am
    ------------------------------------------------------------
    revno: 190.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: osb2tango
    timestamp: Mon 2012-01-02 00:37:17 -0500
    message:
      Drop the ".py" suffix from the osb2foxtrot script to match its
      documentation.
    renamed:
      contrib/osb2foxtrot.py => contrib/osb2foxtrot
    ------------------------------------------------------------
    revno: 190.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: osb2tango
    timestamp: Mon 2012-01-02 00:36:55 -0500
    message:
      Adapt osb2tango for FoxtrotGPS.
    renamed:
      contrib/README.osb2tango => contrib/README.osb2foxtrot
      contrib/osb2tango.py => contrib/osb2foxtrot.py
    modified:
      contrib/README.osb2foxtrot
      contrib/osb2foxtrot.py
    ------------------------------------------------------------
    revno: 190.1.1
    author: Mitja Kleider <mitja@kleider.name>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: osb2tango
    timestamp: Mon 2012-01-02 00:35:07 -0500
    message:
      `OpenStreetBugs to tangoGPS' converter
      from <https://github.com/emka/osb2tango>.
    added:
      contrib/README.osb2tango
      contrib/osb2tango.py
------------------------------------------------------------
revno: 190 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-27 01:03:32 -0500
message:
  Bundle the `poi2osm' converter script.
added:
  contrib/poi2osm
modified:
  NEWS
  contrib/Makefile.am
    ------------------------------------------------------------
    revno: 189.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi2osm
    timestamp: Fri 2012-01-27 00:38:43 -0500
    message:
      Install & distribute poi2osm.
    modified:
      NEWS
      contrib/Makefile.am
    ------------------------------------------------------------
    revno: 189.1.1
    author: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: poi2osm
    timestamp: Fri 2012-01-27 00:38:28 -0500
    message:
      `POI to OpenStreetMap XML' converter
      from
      <http://wiki.openmoko.org/wiki/TangoGPS#Converting_tangogps.27s_POI_into_OSM_xml_files.28importable_into_JOSM.29>.
    added:
      contrib/poi2osm
------------------------------------------------------------
revno: 189
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-27 01:01:15 -0500
message:
  Correctly capitalise "OpenCycleMap".
modified:
  src/init.c
------------------------------------------------------------
revno: 188
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-27 00:59:59 -0500
message:
  Update the default OpenCycleMap URL
  per <http://www.gravitystorm.co.uk/shine/change-of-tileserver-url/>.
modified:
  NEWS
  src/init.c
------------------------------------------------------------
revno: 187 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-01-26 23:35:44 -0500
message:
  Update the Google Sat URL again.
modified:
  NEWS
  src/init.c
    ------------------------------------------------------------
    revno: 166.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: google-sat
    timestamp: Thu 2012-01-26 23:33:41 -0500
    message:
      Update the Google Sat URL to use "v=102".
    modified:
      NEWS
      src/init.c
------------------------------------------------------------
revno: 186
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-01-26 23:07:59 -0500
message:
  Disable/remove the friend-finder.
  tangogps.org apparently no longer provides the friend-finder service,
  and we don't have a new back-end to replace that service yet,
  and trying to use the friend-finder feature with tangogps.org
  as it currently exists results in a crash.

  Rather than debugging the crash to maintain the feature
  in a non-functional state, the most reasonable thing to do
  seems to be simply removing the feature for the time being.

  The relevant widgets have been deleted from foxtrotgps.glade,
  because we can dig them out of VC history later when we have
  a replacement back-end; and the `fftimer_running' variable
  is no longer read from GConf but rather just set to FALSE
  so that the broken friend-finder doesn't try to auto-start.
modified:
  NEWS
  data/foxtrotgps.glade
  src/init.c
------------------------------------------------------------
revno: 185
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2012-01-20 20:19:34 -0500
message:
  Do #include <glib/gprintf.h> where necessary.
  It's not automatically #include'd along with <glib.h>.
modified:
  src/callbacks.c
  src/converter.c
  src/friends.c
  src/gps_functions.c
  src/init.c
  src/poi.c
  src/tile_management.c
  src/wp.c
------------------------------------------------------------
revno: 184
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-01-19 22:52:34 -0500
message:
  Just #include <glib.h>, not subordinate headers.
  This is the recommended way of using GLib, and we've had reports of
  builds failing otherwise.
modified:
  src/callbacks.c
  src/converter.c
  src/exif.c
  src/friends.c
  src/geo_photos.c
  src/gps_functions.c
  src/hrm_functions.c
  src/init.c
  src/map_management.c
  src/poi.c
  src/tile_management.c
  src/tracks.c
  src/util.c
  src/wp.c
------------------------------------------------------------
revno: 183
fixes bug: https://launchpad.net/bugs/886707
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2012-01-19 22:51:30 -0500
message:
  Correct typos in POI-subcategory names: "Cemetary", "Synogoge",
  "Barbeque".
modified:
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/ja.po
  po/nl.po
  po/ru.po
  po/sk.po
  po/sr.po
  src/poi.c
------------------------------------------------------------
revno: 182
fixes bug: https://launchpad.net/bugs/886835
author: Jiří Pinkava <j-pi@seznam.cz>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2012-01-01 23:27:22 -0500
message:
  Czech translation updates for 1.1.0.
modified:
  po/cs.po
------------------------------------------------------------
revno: 181
author: Steve Petruzzello <dlist@bluewin.ch>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-12-31 23:15:33 -0500
message:
  Completed French translation for 1.1.0.
modified:
  po/fr.po
------------------------------------------------------------
revno: 180
fixes bug: https://launchpad.net/bugs/901987
author: György Balló <ballogy@freestart.hu>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2011-12-09 21:47:08 -0500
message:
  Completed Hungarian translation for 1.1.0.
modified:
  po/hu.po
------------------------------------------------------------
revno: 179
fixes bug: https://launchpad.net/bugs/835633
author: Branko Majic <branko@majic.rs>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2011-12-01 23:30:55 -0500
message:
  Completed Serbian translation for 1.1.0.
modified:
  po/sr.po
------------------------------------------------------------
revno: 178
fixes bug: https://launchpad.net/bugs/816428
author: Yoshizumi Endo <y-endo@ceres.dti.ne.jp>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2011-12-01 23:29:37 -0500
message:
  Completed Japanese translation for 1.1.0.
modified:
  po/ja.po
------------------------------------------------------------
revno: 177 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2011-10-26 00:52:59 -0400
message:
  Completed Finnish translation for 1.1.0, from Timo Jyrinki.
modified:
  po/fi.po
    ------------------------------------------------------------
    revno: 176.1.1
    committer: Timo Jyrinki <timo.jyrinki@iki.fi>
    branch nick: updated-finnish
    timestamp: Tue 2011-10-18 16:24:24 +0300
    message:
      Updated Finnish translation for 1.1.
    modified:
      po/fi.po
------------------------------------------------------------
revno: 176 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2011-10-11 02:50:59 -0400
message:
  Bug-fix to allow menu-items to be selected with any mouse-button,
  regardless of which button raised the menu.
modified:
  NEWS
  src/callbacks.c
    ------------------------------------------------------------
    revno: 175.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: popup-submenu-clicks
    timestamp: Tue 2011-10-11 02:50:39 -0400
    message:
      Include a NEWS item to note Branko's bug-fix.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 175.1.1
    fixes bug: https://launchpad.net/bugs/736589
    author: Branko Majic <branko@majic.rs>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: popup-submenu-clicks
    timestamp: Tue 2011-10-11 02:50:29 -0400
    message:
      Don't specify a mouse-button when calling gtk_menu_popup() from
      a button-release event.
      The GTK+ manual actually says that the button should be specified
      only if gtk_menu_popup() is being called form a button-press
      handler, and to avoid specifying it when calling from a
      button-release handler.
      This is why selecting items from a submenu with a button other
      than the one used to opened the menu wasn't working.
    modified:
      src/callbacks.c
------------------------------------------------------------
revno: 175 [merge]
fixes bug: https://launchpad.net/bugs/871508
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2011-10-11 02:46:51 -0400
message:
  Completed Spanish translation for 1.1.0, from Dailos Franchy.
modified:
  po/es.po
    ------------------------------------------------------------
    revno: 174.1.1
    committer: Dailos Franchy <dfranchy@gmail.com>
    branch nick: foxtrotgps-dev
    timestamp: Sun 2011-10-09 22:12:33 +0100
    message:
      Update Spanish .po file
    modified:
      po/es.po
------------------------------------------------------------
revno: 174 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-25 21:52:20 -0400
message:
  Minor general cleanup of load_log_file_into_list().
modified:
  src/tracks.c
    ------------------------------------------------------------
    revno: 172.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trackloader-cleanup
    timestamp: Sun 2011-09-25 19:54:25 -0400
    message:
      Reduced scope of the latstr and lonstr variables to just the loop
      that uses them.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 172.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trackloader-cleanup
    timestamp: Sun 2011-09-25 19:54:10 -0400
    message:
      Removed superfluous intermediate `lat' and `lon' variables.
      Just use atof()'s results directly.
    modified:
      src/tracks.c
------------------------------------------------------------
revno: 173 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-25 21:51:55 -0400
message:
  Fixed memory-leaks in load_log_file_into_list() and the code that
  calls it.
modified:
  src/tracks.c
    ------------------------------------------------------------
    revno: 172.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trackloader-leaks
    timestamp: Sun 2011-09-25 19:22:39 -0400
    message:
      Remember to free all of the trackpoint_t objects in the loaded_track
      list before freeing the list itself.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 172.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trackloader-leaks
    timestamp: Sun 2011-09-25 19:03:26 -0400
    message:
      Don't allocate trackpoint_t objects unless they're going into the
      returned list.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 172.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: trackloader-leaks
    timestamp: Sun 2011-09-25 18:37:27 -0400
    message:
      Avoid leaking token-arrays by just using strtok_r() instead of
      g_strsplit().
    modified:
      src/tracks.c
------------------------------------------------------------
revno: 172
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-25 14:07:07 -0400
message:
  Let's try this string-freeze again.
  Updated translations via `make update-po'.
modified:
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/ja.po
  po/nl.po
  po/ru.po
  po/sk.po
  po/sr.po
------------------------------------------------------------
revno: 171 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-25 11:04:34 -0400
message:
  Update package version to 1.1.0 for impending release.
modified:
  configure.in
  doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 170.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: uprev
    timestamp: Sun 2011-09-25 10:46:12 -0400
    message:
      Update PACKAGE_VERSION.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 170.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: uprev
    timestamp: Sun 2011-09-25 10:35:40 -0400
    message:
      Update the version and timestamp in the manpage.
    modified:
      doc/foxtrotgps.1
------------------------------------------------------------
revno: 170
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-25 10:18:49 -0400
message:
  Tell newer versions of bzr to include merges in the generated ChangeLog
  (bzr now hides merged revisions by default, showing only the merge
  operation).
modified:
  Makefile.am
------------------------------------------------------------
revno: 169
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-24 23:42:01 -0400
message:
  Correct spelling of Branko's name.
modified:
  NEWS
------------------------------------------------------------
revno: 168
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-24 22:18:35 -0400
message:
  Don't include gnuite.com in the list of route-finding services.
  The gnuite.com routing service appears to be dead.
modified:
  data/foxtrotgps.glade
------------------------------------------------------------
revno: 167 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-24 20:48:15 -0400
message:
  Try to address the issue of broken Google Sat URLs.
modified:
  NEWS
  doc/foxtrotgps.1
  src/init.c
    ------------------------------------------------------------
    revno: 166.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: google-sat
    timestamp: Sat 2011-09-24 20:46:15 -0400
    message:
      Document problems with Google Sat urls breaking over time
      to avoid misleading end users.
    modified:
      NEWS
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 166.1.1
    fixes bug: https://launchpad.net/bugs/846485
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: google-sat
    timestamp: Wed 2011-09-21 21:48:53 -0400
    message:
      Use an updated Google Sat URL.
    modified:
      src/init.c
------------------------------------------------------------
revno: 166
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-17 23:23:39 -0400
message:
  NEWS since 1.0.1.
modified:
  NEWS
------------------------------------------------------------
revno: 165 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-17 23:16:01 -0400
message:
  Installation notes regarding BlueZ and HRM-support.
modified:
  INSTALL
  README
    ------------------------------------------------------------
    revno: 133.2.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Sun 2011-08-14 00:38:35 -0400
    message:
      Document the (optional) build-requirements for HRM support.
    modified:
      INSTALL
      README
------------------------------------------------------------
revno: 164
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-17 23:07:28 -0400
message:
  Document the "--version" option.
modified:
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 163 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-09-17 23:01:32 -0400
message:
  Minor manpage cleanup.
modified:
  contrib/convert2gpx.1
  contrib/convert2osm.1
  doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 162.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: man
    timestamp: Sat 2011-09-17 22:55:23 -0400
    message:
      Use an actual indented bullet-list construct for indented
      bullet-lists.
    modified:
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 162.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: man
    timestamp: Sat 2011-09-17 22:53:56 -0400
    message:
      Consistently fontify URLs as italic.
    modified:
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 162.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: man
    timestamp: Sat 2011-09-17 22:51:11 -0400
    message:
      Use more words in manpages' `HOMEPAGE' sections
      to decrease the likelihood of excessive inter-word spacing.
    modified:
      contrib/convert2gpx.1
      contrib/convert2osm.1
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 162.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: man
    timestamp: Sat 2011-09-17 22:50:16 -0400
    message:
      Prevent troff from auto-hyphenating URLs and e-mail addresses.
    modified:
      contrib/convert2gpx.1
      contrib/convert2osm.1
      doc/foxtrotgps.1
------------------------------------------------------------
revno: 162
fixes bug: https://launchpad.net/bugs/846418
author: Rick Richardson <rickrich@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-11 12:50:34 -0400
message:
  Include POI categories and subcategories for geocaching.
modified:
  data/foxtrotgps.glade
  src/poi.c
------------------------------------------------------------
revno: 161
fixes bug: https://launchpad.net/bugs/846801
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-11 01:59:30 -0400
message:
  Correctly do whatever it takes to show/un-hide new friend-finder
  messages
  when the user clicks on the "Click here" notice in the status-line.
  Use g_signal_emit_by_name() directly rather than calling
  gtk_button_clicked()--because the buttons on the toolbar aren't
  *buttons*! They were changed to GtkToolButtons at some point--probably
  as a result of the conversation to libglade.
modified:
  src/callbacks.c
------------------------------------------------------------
revno: 160 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-09-11 01:26:49 -0400
message:
  Reduced redundancy in translatable strings.
modified:
  src/callbacks.c
  src/gps_functions.c
  src/gps_functions.h
    ------------------------------------------------------------
    revno: 159.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: i18n
    timestamp: Sun 2011-09-11 01:17:37 -0400
    message:
      Moved setting the status-line "New Message" indicator into a new
      set_label_newmsg() function.
      This removes a chance that we'll end up with mismatched translatable
      strings--and even avoids doing some unnecessary work at runtime.
    modified:
      src/gps_functions.c
      src/gps_functions.h
    ------------------------------------------------------------
    revno: 159.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: i18n
    timestamp: Sun 2011-09-11 00:52:59 -0400
    message:
      Reduced unnecessary duplication of translatable strings throughout
      on_item4_activate().
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 159.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: i18n
    timestamp: Sat 2011-09-10 23:13:13 -0400
    message:
      Split compound translatable blocks of common but obviously-distinct
      elements.
    modified:
      src/callbacks.c
------------------------------------------------------------
revno: 159
fixes bug: https://launchpad.net/bugs/835946
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: i18n
timestamp: Sat 2011-09-10 22:44:11 -0400
message:
  Mark (most?) strings that should be marked as translatable.
  Units are still untranslatable, but marking them unambiguously may
  be more difficult, and leaving them untranslatable may be OK for the
  time being.
modified:
  src/callbacks.c
  src/friends.c
  src/geo_photos.c
  src/gps_functions.c
  src/hrm_functions.c
  src/init.c
  src/main.c
  src/poi.c
  src/support.c
  src/tracks.c
  src/util.c
------------------------------------------------------------
revno: 158
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-08-28 22:39:43 -0400
message:
  When invocation of the geocoding script fails, show the whole command.
  Not only is this more useful for debugging, it makes the error-message
  more translatable.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 157 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2011-08-27 20:55:33 -0400
message:
  Serbian translation thanks to Branko Majic.
added:
  po/sr.po
modified:
  configure.in
    ------------------------------------------------------------
    revno: 156.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: l10n-sr
    timestamp: Sat 2011-08-27 20:25:46 -0400
    message:
      Include Serbian in the list of supported translations.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 156.1.1
    author: Branko Majic <branko@majic.rs>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: l10n-sr
    timestamp: Sat 2011-08-27 20:25:15 -0400
    message:
      Serbian translation.
    added:
      po/sr.po
------------------------------------------------------------
revno: 156 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-08-08 00:16:55 -0400
message:
  Japanese translation thanks to Yoshizumi Endo.
added:
  po/ja.po
modified:
  configure.in
    ------------------------------------------------------------
    revno: 155.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: l10n-ja
    timestamp: Mon 2011-08-08 00:15:35 -0400
    message:
      Include Japanese in the list of supported translations.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 155.1.1
    author: Yoshizumi Endo <y-endo@ceres.dti.ne.jp>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: l10n-ja
    timestamp: Mon 2011-08-08 00:11:44 -0400
    message:
      Japanese translation.
    added:
      po/ja.po
------------------------------------------------------------
revno: 155
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-08-08 00:11:24 -0400
message:
  String freeze.
  Updated translations via `make update-po'.
modified:
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
------------------------------------------------------------
revno: 154
author: Martin Jansa <Martin.Jansa@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-08-07 18:18:11 -0400
message:
  The <curl/types.h> header no longer exists as of Curl 7.21.8
  and was a dummy header since Curl 7.12.0 (June 2004).
modified:
  src/friends.c
  src/tile_management.c
  src/util.h
------------------------------------------------------------
revno: 153
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-06-05 23:40:34 -0400
message:
  Removed the `started_before' GConf hack.
  Now that we have schemas, it's no longer needed.
modified:
  data/apps_foxtrotgps.schemas.in
  src/init.c
------------------------------------------------------------
revno: 152 [merge]
fixes bug: https://launchpad.net/bugs/758045
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-06-05 23:27:31 -0400
message:
  Allow the user to determine whether cached tiles are re-downloaded.
modified:
  data/apps_foxtrotgps.schemas.in
  data/foxtrotgps.glade
  src/callbacks.c
  src/globals.c
  src/globals.h
  src/init.c
  src/tile_management.c
    ------------------------------------------------------------
    revno: 151.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tile-redownload-toggle
    timestamp: Sun 2011-06-05 23:27:22 -0400
    message:
      Include a `Re-download cached tiles' toggle in the `Map Download'
      dialogue.
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/init.c
    ------------------------------------------------------------
    revno: 151.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tile-redownload-toggle
    timestamp: Sun 2011-06-05 23:27:12 -0400
    message:
      Define a default value for no_redownload via a GConf schema
      rather than setting a default during initialisation.
      Actually, gconf_client_get_bool() returns the right value
      regardless....
    modified:
      data/apps_foxtrotgps.schemas.in
      src/init.c
    ------------------------------------------------------------
    revno: 151.1.1
    author: Mikael Berthe <mikael@lilotux.net>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tile-redownload-toggle
    timestamp: Thu 2011-06-02 07:25:49 -0400
    message:
      Avoid re-downloading tiles that already exist in the cache
      if no_redownload exists and is set to TRUE in GConf.
    modified:
      src/globals.c
      src/globals.h
      src/init.c
      src/tile_management.c
------------------------------------------------------------
revno: 151
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: xml-parser-cleanup
timestamp: Thu 2011-06-02 00:34:29 -0400
message:
  Avoid trying to use the NULL value returned by libxml2 when GPX-parsing
  fails.
modified:
  src/tracks.c
------------------------------------------------------------
revno: 150
fixes bug: https://launchpad.net/bugs/787953
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: xml-parser-cleanup
timestamp: Thu 2011-06-02 00:15:23 -0400
message:
  Don't call xmlCleanupParser().
  This function should never be called, as it effectively unloads libxml2.
modified:
  src/tracks.c
------------------------------------------------------------
revno: 149 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-05-02 23:16:08 -0400
message:
  Last-minute bug-fix for 1.0.1: do proper cleanup when (re)painting
  friend-finder icons.
modified:
  NEWS
  src/friends.c
    ------------------------------------------------------------
    revno: 133.1.26
    tags: foxtrotgps-1.0.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sun 2011-05-01 16:51:37 -0400
    message:
      #include callbacks.h for repaint_all(), so that we build cleanly
      again.
    modified:
      src/friends.c
    ------------------------------------------------------------
    revno: 133.1.25
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sun 2011-05-01 16:17:36 -0400
    message:
      Note the friend-finder bug/fix in NEWS.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 133.1.24
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Thu 2011-04-28 17:03:02 -0400
    message:
      Remember to erase outdate friend icons from the map when positions
      update.
    modified:
      src/friends.c
------------------------------------------------------------
revno: 148 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-05-02 23:03:19 -0400
message:
  Preparations for  the 1.0.1 release.
modified:
  NEWS
  configure.in
    ------------------------------------------------------------
    revno: 133.1.23
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Thu 2011-04-21 22:49:32 -0400
    message:
      Thanks to Alex, in full--now that he's told me his full name.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 133.1.22
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Wed 2011-04-13 23:04:48 -0400
    message:
      Release notes for 1.0.1.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 133.1.21
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Wed 2011-04-13 22:41:47 -0400
    message:
      Update PACKAGE_VERSION to 1.0.1 for impending release.
    modified:
      configure.in
------------------------------------------------------------
revno: 147 [merge]
fixes bug: https://launchpad.net/bugs/758351
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-05-02 23:00:32 -0400
message:
  Provide GConf schemas.
added:
  data/apps_foxtrotgps.schemas.in
modified:
  .bzrignore
  configure.in
  data/Makefile.am
  po/POTFILES.in
    ------------------------------------------------------------
    revno: 146.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gconf-schemas
    timestamp: Mon 2011-05-02 22:56:24 -0400
    message:
      Ignore the generated apps_foxtrotgps.schemas file.
    modified:
      .bzrignore
    ------------------------------------------------------------
    revno: 146.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gconf-schemas
    timestamp: Mon 2011-05-02 22:46:21 -0400
    message:
      Properly uninstall GConf schemas when `make uninstall' is invoked.
    modified:
      data/Makefile.am
    ------------------------------------------------------------
    revno: 146.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gconf-schemas
    timestamp: Mon 2011-05-02 22:45:27 -0400
    message:
      Check for gconftool-2 before AM_GCONF_SOURCE_2 tries to use it.
      Abort ./configure if gconftool-2 isn't found.
    modified:
      configure.in
      data/Makefile.am
    ------------------------------------------------------------
    revno: 146.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gconf-schemas
    timestamp: Mon 2011-05-02 22:44:12 -0400
    message:
      Ship GConf schemas for all parameters.
      Include defaults where it's sensible (and easy...) to do so.
    added:
      data/apps_foxtrotgps.schemas.in
    modified:
      configure.in
      data/Makefile.am
      po/POTFILES.in
------------------------------------------------------------
revno: 146 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2011-04-13 16:56:46 -0400
message:
  Fixes for tile-downloader.
modified:
  src/tile_management.c
    ------------------------------------------------------------
    revno: 133.1.20
    fixes bug: https://launchpad.net/bugs/758031
    author: Mikael Berthe <mikael@lilotux.net>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Wed 2011-04-13 16:52:56 -0400
    message:
      Avoid scheduling (possibly large numbers of) superfluous redraws
      as tiles finish downloading.
    modified:
      src/tile_management.c
    ------------------------------------------------------------
    revno: 133.1.19
    fixes bug: https://launchpad.net/bugs/758038
    author: Mikael Berthe <mikael@lilotux.net>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Tue 2011-04-12 12:47:25 -0400
    message:
      Correctly decrement the pending-downloads counter when a download
      fails.
    modified:
      src/tile_management.c
------------------------------------------------------------
revno: 145 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2011-04-12 22:57:06 -0400
message:
  Log tracks in extended GPX format
  rather idiomatic CSV.
modified:
  src/callbacks.c
  src/gps_functions.c
  src/tracks.c
    ------------------------------------------------------------
    revno: 144.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gpx-logging
    timestamp: Tue 2011-04-12 22:45:51 -0400
    message:
      Close any open track-log before exiting.
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 144.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gpx-logging
    timestamp: Tue 2011-04-12 20:53:50 -0400
    message:
      Log to tracks .gpx files rather than .log files
      so that the correct track-loader handles them.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 144.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gpx-logging
    timestamp: Tue 2011-04-12 20:38:58 -0400
    message:
      Write GPX headers on logfile-open, and footers on close.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 144.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gpx-logging
    timestamp: Tue 2011-04-12 20:36:04 -0400
    message:
      Write GPX v1.1 trkpt entries (with Garmin gpxtpx v2 extensions)
      to the log
      rather than lines of comma-separated values.
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 144.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gpx-logging
    timestamp: Tue 2011-04-12 15:40:57 -0400
    message:
      Copy the fix.mode from the libgps fix structure to our internal
      structure.
    modified:
      src/gps_functions.c
------------------------------------------------------------
revno: 144 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2011-04-06 00:08:02 -0400
message:
  Spanish translations that were missing from the 1.0.0 release.
modified:
  po/es.po
    ------------------------------------------------------------
    revno: 133.1.18
    author: Dailos Franchy <dfranchy@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Wed 2011-04-06 00:05:10 -0400
    message:
      Fixes for missing and fuzzy Spanish translations.
    modified:
      po/es.po
------------------------------------------------------------
revno: 143 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2011-04-05 01:10:16 -0400
message:
  Clean-up for our interface to libgps.
modified:
  src/callbacks.c
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/gps_functions.h
  src/init.c
    ------------------------------------------------------------
    revno: 133.1.17 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Tue 2011-04-05 00:52:06 -0400
    message:
      Minor refactoring cleanup following from the libgps resource-leak
      fix.
    modified:
      src/globals.h
      src/gps_functions.c
      src/init.c
        ------------------------------------------------------------
        revno: 133.7.19
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:51:42 -0400
        message:
          Qualify get_gps_thread() as static.
          It really shouldn't be called outside of gps_functions.c.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.18
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:51:32 -0400
        message:
          Make the `watchdog' ID var private to gps_functions.c.
          Nobody else needs access to it.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.17
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:51:24 -0400
        message:
          Have gps_functions.c own the gps_timer var.
          Drop the "global_", make it static.
        modified:
          src/globals.h
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.16
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:51:14 -0400
        message:
          Removed unused `data' var from init().
        modified:
          src/init.c
        ------------------------------------------------------------
        revno: 133.7.15
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:50:57 -0400
        message:
          Make get_gps() & co. authoritative for the cb_gps_timer timeout.
          Just call get_gps() from init().
        modified:
          src/gps_functions.c
          src/init.c
    ------------------------------------------------------------
    revno: 133.1.16 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Tue 2011-04-05 00:49:07 -0400
    message:
      Avoid leaking libgps handles and associated resources.
    modified:
      src/callbacks.c
      src/globals.c
      src/globals.h
      src/gps_functions.c
      src/gps_functions.h
      src/init.c
        ------------------------------------------------------------
        revno: 133.7.14
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:46:19 -0400
        message:
          DON'T free or re-init our internal gpsdata structure.
          Note that this is because we want to preserve our last
          known fix.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.13
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Tue 2011-04-05 00:17:10 -0400
        message:
          Remember to free the GIOChannel wrapping the libgps socket.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.12
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Mon 2011-04-04 23:40:46 -0400
        message:
          Just set the reconnect_gpsd flag in reset_gpsd_io()
          and leave the actual cleanup to get_gps(), avoiding an
          allocate/free race between get_gps_thread() and resets from
          the GUI.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.11
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sun 2011-04-03 01:50:22 -0400
        message:
          Disable periodic callback to cb_gps_timer() for the duration
          of get_gps()/get_gps_thread()
          to better prevent creation of a race condition.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.10
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sun 2011-04-03 00:27:21 -0400
        message:
          Make the gps `timer' ID from init() into a global.
          Call it "global_gps_timer".
        modified:
          src/globals.h
          src/gps_functions.c
          src/init.c
        ------------------------------------------------------------
        revno: 133.7.9
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sun 2011-04-03 00:27:04 -0400
        message:
          Split re-setting of reconnect_gpsd between get_gps() and
          get_gps_thread()
          to prevent creation of a race condition.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.8
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sat 2011-04-02 23:41:09 -0400
        message:
          Restrict global_reconnect_gpsd to the scope of gps_functions.c
          (and drop the global_), now that it's no longer used anywhere
          else.
        modified:
          src/globals.c
          src/globals.h
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.7
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sat 2011-04-02 23:37:32 -0400
        message:
          Properly initialise GSource IDs to zero
          for the sake of those conditionals.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.6
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sat 2011-04-02 19:53:08 -0400
        message:
          Conditionalise all of the deallocations in reset_gpsd_io()
          so that, e.g.: bouncing on the `Change GPSD' button doesn't
          cause a double-free crash.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.5
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Sat 2011-04-02 19:19:10 -0400
        message:
          Always call reset_gpsd_io() rather than just setting
          global_reconnect_gpsd directly.
          This addresses another leak of libgps handles.
        modified:
          src/callbacks.c
        ------------------------------------------------------------
        revno: 133.7.4
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Fri 2011-03-25 23:07:00 -0400
        message:
          Export reset_gpsd_io().
        modified:
          src/gps_functions.h
        ------------------------------------------------------------
        revno: 133.7.3
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Thu 2011-03-24 00:05:54 -0400
        message:
          Implement cb_gpsd_io_error() in terms of reset_gpsd_io()
          since they're now both using identical logic.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.2
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Wed 2011-03-23 23:29:53 -0400
        message:
          Kill the watchdog in cb_gpsd_io_error(), and set the reconnect
          flag.

          We're going to end up calling get_gps() (and creating a new
          watchdog) anyway, since we null-out the gpsdata pointer.

          We may have had a watchdog-leak, up to now....
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.7.1
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-cleanup
        timestamp: Wed 2011-03-23 22:46:36 -0400
        message:
          Copied missing cleanup-code from cb_gps_io_error() to
          reset_gpsd_io():
          close/free and null-out buth the libgps handle and the tangogps
          gpsdata struct.
        modified:
          src/gps_functions.c
    ------------------------------------------------------------
    revno: 133.1.15 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-28 07:26:23 -0400
    message:
      Provide compatibility shims for libgps 2.95 and older.
    modified:
      src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.7
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Mon 2011-03-28 00:12:21 -0400
        message:
          Support using gps_open_r() where gps_open() has the old,
          non-reentrant interface.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.6
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Mon 2011-03-28 00:09:32 -0400
        message:
          Support using gps_poll() where gps_read() is unavailable.
        modified:
          src/gps_functions.c
    ------------------------------------------------------------
    revno: 133.1.14 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-28 07:24:36 -0400
    message:
      Use the new 5th-generation API released with libgps 2.96.
    modified:
      src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.5
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Mon 2011-03-28 00:08:48 -0400
        message:
          libgps_initialized is a boolean, so make it a gboolean.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.4
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Mon 2011-03-28 00:02:04 -0400
        message:
          Remember to mark the libgps handle as `un-initialised' after
          closing it.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.3
        author: Gleb Smirnoff <glebius@freebsd.org>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Sun 2011-03-27 23:27:00 -0400
        message:
          Statically allocate libgps_data for the new, re-entrant
          gps_open() interface.
          Don't bother making libgps_gpsdata a pointer;
          use a separate `libgps_initialized' flag to track whether the
          handle is live.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.2
        author: Gleb Smirnoff <glebius@freebsd.org>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Sun 2011-03-27 23:18:06 -0400
        message:
          libgps has dropped gps_poll() in favour of gps_read().
          gps_read() returns the number of bytes read on success, rather
          than just 0.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 133.6.1
        author: Gleb Smirnoff <glebius@freebsd.org>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: libgps-2.96
        timestamp: Sun 2011-03-27 23:17:43 -0400
        message:
          POLL_NONBLOCK no longer exists as of libgps 2.96.
          libgps has become non-blocking by default; though, we shouldn't
          need to use POLL_NONBLOCK even with older versions of libgps,
          because we don't try to read unless we know that the underlying
          socket is ready for reading.
        modified:
          src/gps_functions.c
------------------------------------------------------------
revno: 142 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-03-14 10:15:37 -0400
message:
  1.0 documentation-cleanup.
modified:
  INSTALL
  Makefile.am
  README
  doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 133.1.13
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-14 10:13:16 -0400
    message:
      Document the photo-geotagger's run-time requirements in the manpage.
    modified:
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 133.1.12
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-14 10:12:40 -0400
    message:
      Install and distribute the HACKING guide.
    modified:
      Makefile.am
    ------------------------------------------------------------
    revno: 133.1.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-14 10:10:20 -0400
    message:
      Remember to include intltool in the list of prerequisites.
    modified:
      INSTALL
      README
    ------------------------------------------------------------
    revno: 133.1.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Mon 2011-03-14 10:09:49 -0400
    message:
      Include the canonical upstream URL in the README.
      This can be important if someone receives this package as part of
      larger bundle.
    modified:
      README
------------------------------------------------------------
revno: 141 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-03-14 00:38:37 -0400
message:
  Option-processing cleanup.
modified:
  src/main.c
    ------------------------------------------------------------
    revno: 133.1.9
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sun 2011-03-13 21:04:32 -0400
    message:
      Delay initialisation of GTK+ until after option-processing.
      This prevents commands like "foxtrotgps --help" from needlessly
      failing due to problems like a default X11 display being
      unavailable.
    modified:
      src/main.c
    ------------------------------------------------------------
    revno: 133.1.8
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sun 2011-03-13 20:05:41 -0400
    message:
      Support the standard "--version" command-line flag.
    modified:
      src/main.c
------------------------------------------------------------
revno: 140 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2011-03-14 00:37:29 -0400
message:
  Crash-fix.
modified:
  src/tile_management.c
    ------------------------------------------------------------
    revno: 133.1.7
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sun 2011-03-13 17:32:24 -0400
    message:
      Tell libcurl not to use alarm() to timeout slow name-resolution,
      because that makes us crash.
    modified:
      src/tile_management.c
------------------------------------------------------------
revno: 139 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2011-02-06 22:00:46 -0500
message:
  Support building without BlueZ
  (and, for the time being, without heartrate-monitor support).
  Platforms other than Linux have different bluetooth libraries....
modified:
  configure.in
  data/foxtrotgps.glade
  src/hrm_functions.c
  src/main.c
    ------------------------------------------------------------
    revno: 133.2.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Sun 2011-02-06 21:14:46 -0500
    message:
      Hide HRM-related GUI elements unless we actually have HRM-support
      enabled.
    modified:
      data/foxtrotgps.glade
      src/main.c
    ------------------------------------------------------------
    revno: 133.2.9
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Sun 2011-02-06 21:10:59 -0500
    message:
      Define an `ENABLE_HRM' token to indicate when HRM-support is
      enabled.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 133.2.8
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Sun 2011-02-06 20:44:33 -0500
    message:
      Use stub versions of the HRM-support functions if BlueZ is
      unavailable.
    modified:
      src/hrm_functions.c
    ------------------------------------------------------------
    revno: 133.2.7
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Sun 2011-02-06 20:21:57 -0500
    message:
      Define a `HAVE_BLUEZ' token when we find BlueZ
      so that we know when we do (or don't) have it,
      the latter being the case everywhere except Linux.
    modified:
      configure.in
------------------------------------------------------------
revno: 138 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-12-19 08:37:59 -0500
message:
  Minor 1.0 translation-cleanup.
modified:
  data/foxtrotgps.glade
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
    ------------------------------------------------------------
    revno: 133.1.6
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sat 2010-12-18 00:19:22 -0500
    message:
      Updated all translations with `make update-po', to avoid giving
      translators a bogus start.
      Probably should have done this as part of a formal string-freeze
      process....
    modified:
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
    ------------------------------------------------------------
    revno: 133.1.5 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Sat 2010-12-18 00:18:42 -0500
    message:
      Mark untranslatable strings as such, to avoid creating busy-work
      for translators.
    modified:
      data/foxtrotgps.glade
        ------------------------------------------------------------
        revno: 133.5.2
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: intl-cleanup
        timestamp: Sat 2010-12-18 00:09:44 -0500
        message:
          Mark label99 spacer-text as untranslatable.
        modified:
          data/foxtrotgps.glade
        ------------------------------------------------------------
        revno: 133.5.1
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: intl-cleanup
        timestamp: Sat 2010-12-18 00:09:32 -0500
        message:
          Mark hostnames as untranslatable.
        modified:
          data/foxtrotgps.glade
------------------------------------------------------------
revno: 137 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-12-19 08:35:55 -0500
message:
  Complete 1.0 French translation.
modified:
  po/fr.po
    ------------------------------------------------------------
    revno: 133.1.4 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Fri 2010-12-17 20:00:07 -0500
    message:
      Updated French translation.
    modified:
      po/fr.po
        ------------------------------------------------------------
        revno: 133.4.5
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: fr-trans
        timestamp: Fri 2010-12-17 19:57:28 -0500
        message:
          Translations for the last few strings, making a complete
          French translation.
        modified:
          po/fr.po
        ------------------------------------------------------------
        revno: 133.4.4
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: fr-trans
        timestamp: Sun 2010-12-12 22:45:34 -0500
        message:
          Migrated lists from per-item translations to the unified,
          whole-list style required by Glade.
        modified:
          po/fr.po
        ------------------------------------------------------------
        revno: 133.4.3
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: fr-trans
        timestamp: Sun 2010-12-12 22:41:33 -0500
        message:
          Cleaned-up fuzzy translations.
          This is mainly due to whitespace changes, and a couple of
          strings that were so short that msgmerge couldn't even identify
          them as similar after whitespace changes.
          Also, note that occurrences of the package's name have been
          replaced with "%s" to allow for run-time substitution, and
          some phrases have been dropped from the containing paragraphs.
        modified:
          po/fr.po
        ------------------------------------------------------------
        revno: 133.4.2
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: fr-trans
        timestamp: Sat 2010-12-11 13:43:16 -0500
        message:
          Merged updated messages into the French translation with
          `make update-po'.
        modified:
          po/fr.po
        ------------------------------------------------------------
        revno: 133.4.1
        author: Steve Petruzzello <dlist@bluewin.ch>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: fr-trans
        timestamp: Fri 2010-12-10 20:56:40 -0500
        message:
          Updated French translation, by way of Debian.
          cf.: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606437>.
        modified:
          po/fr.po
------------------------------------------------------------
revno: 136 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-12-19 08:32:31 -0500
message:
  HACKING guide added to the 1.0.x branch.
added:
  HACKING
    ------------------------------------------------------------
    revno: 133.1.3 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Thu 2010-12-16 22:51:15 -0500
    message:
      Formatting-adjustments.
    modified:
      HACKING
        ------------------------------------------------------------
        revno: 133.3.10
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 22:37:36 -0500
        message:
          Removed spurious sentence-fragment (obvious typo).
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.9
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 22:36:15 -0500
        message:
          Capitalise "Bazaar".
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.8
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 22:34:05 -0500
        message:
          Indent example commands, and lead into them with colons.
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.7
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 22:24:59 -0500
        message:
          Format bullets & sub-headings with punctuation and lesser
          underscoring, respectively.
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.6
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 21:47:09 -0500
        message:
          Don't use ALL-CAPS in headings.
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.5
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: hacking-doc
        timestamp: Wed 2010-12-15 21:42:46 -0500
        message:
          Underscore headings, as per INSTALL.
          I think I inadvertently implied to Brian that he should not
          underline them....
        modified:
          HACKING
    ------------------------------------------------------------
    revno: 133.1.2 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Thu 2010-12-16 22:47:50 -0500
    message:
      A guide on how to contribute to the project.
    added:
      HACKING
        ------------------------------------------------------------
        revno: 133.3.4
        committer: Brian H Wilson <brian@wildsong.biz>
        branch nick: foxtrotgps-1.0.x
        timestamp: Tue 2010-12-14 23:21:51 -0800
        message:
          Added preamble
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.3
        committer: Brian H Wilson <brian@wildsong.biz>
        branch nick: foxtrotgps-1.0.x
        timestamp: Tue 2010-12-14 23:16:53 -0800
        message:
          Fixed the bzr sftp push commands
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.2
        committer: Brian H Wilson <brian@wildsong.biz>
        branch nick: foxtrotgps-1.0.x
        timestamp: Tue 2010-12-14 23:09:30 -0800
        message:
          Added the add command to HACKING
        modified:
          HACKING
        ------------------------------------------------------------
        revno: 133.3.1
        committer: Brian H Wilson <brian@wildsong.biz>
        branch nick: foxtrotgps-1.0.x
        timestamp: Tue 2010-12-14 23:08:05 -0800
        message:
          Added HACKING file
        added:
          HACKING
------------------------------------------------------------
revno: 135 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-12-14 00:47:46 -0500
message:
  Heartrate-monitor support from tangoGPS 0.99.4.
  The attribution here may not be *quite* right, since I had to pick
  the changes apart from the Marcus' monolithic release.
added:
  src/hrm_functions.c
  src/hrm_functions.h
modified:
  configure.in
  data/foxtrotgps.glade
  po/POTFILES.in
  src/Makefile.am
  src/callbacks.c
  src/callbacks.h
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/init.c
  src/tracks.c
    ------------------------------------------------------------
    revno: 133.2.6 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:34:12 -0400
    message:
      Restore HRM configuration at startup.
    modified:
      src/init.c
        ------------------------------------------------------------
        revno: 6.1.21
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Tue 2010-10-12 00:03:49 -0400
        message:
          Load HRM configuration from GConf during init.
        modified:
          src/init.c
    ------------------------------------------------------------
    revno: 133.2.5 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:34:00 -0400
    message:
      Log heart-rate.
    modified:
      src/tracks.c
        ------------------------------------------------------------
        revno: 6.1.20
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:52:38 -0400
        message:
          Include heart-rate as part of the trackpoints written to
          log-files.
        modified:
          src/tracks.c
    ------------------------------------------------------------
    revno: 133.2.4 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:33:38 -0400
    message:
      Display running heart-rate stats in the info-pane.
    modified:
      data/foxtrotgps.glade
      src/gps_functions.c
      src/hrm_functions.c
      src/hrm_functions.h
        ------------------------------------------------------------
        revno: 6.1.19
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:32:16 -0400
        message:
          Fill the heartrate-stats listing with running figures.
        modified:
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 6.1.18
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:29:14 -0400
        message:
          Added set_hrm_labels(), to populate the info-pane with current
          vs. min/max heartrate-stats.
        modified:
          src/hrm_functions.c
          src/hrm_functions.h
        ------------------------------------------------------------
        revno: 6.1.17
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:22:41 -0400
        message:
          Added info-pane labels for display of heartrate-data.
        modified:
          src/interface.c
    ------------------------------------------------------------
    revno: 133.2.3 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:31:30 -0400
    message:
      Fetch and overlay heart-rate data, if enabled.
    modified:
      src/callbacks.c
      src/gps_functions.c
      src/hrm_functions.c
      src/hrm_functions.h
        ------------------------------------------------------------
        revno: 6.1.16
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:13:03 -0400
        message:
          Force a redraw of the HRM display on reset.
        modified:
          src/hrm_functions.c
        ------------------------------------------------------------
        revno: 6.1.15
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:10:41 -0400
        message:
          Fetch and display heart-rate data, if enabled.
        modified:
          src/callbacks.c
          src/gps_functions.c
        ------------------------------------------------------------
        revno: 6.1.14
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:09:51 -0400
        message:
          Added osd_hrm() to support overlaying heartrate-figures on
          the map.
        modified:
          src/hrm_functions.c
          src/hrm_functions.h
    ------------------------------------------------------------
    revno: 133.2.2 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:30:59 -0400
    message:
      HRM-configuration GUI.
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/callbacks.h
        ------------------------------------------------------------
        revno: 6.1.13
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:03:23 -0400
        message:
          HRM-configuration callbacks.
        modified:
          src/callbacks.c
          src/callbacks.h
          src/interface.c
        ------------------------------------------------------------
        revno: 6.1.12
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 23:02:56 -0400
        message:
          GUI elements for HRM configuration.
        modified:
          src/interface.c
    ------------------------------------------------------------
    revno: 133.2.1 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: hrm-integration
    timestamp: Fri 2010-10-29 00:29:24 -0400
    message:
      Base back-end support for communicating with the Zephyr HxM
      heartrate-monitor.
    added:
      src/hrm_functions.c
      src/hrm_functions.h
    modified:
      configure.in
      po/POTFILES.in
      src/Makefile.am
      src/globals.c
      src/globals.h
        ------------------------------------------------------------
        revno: 6.1.11
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Mon 2010-10-11 22:53:01 -0400
        message:
          Base routines & variables to support the Zephyr HxM
          heartrate-monitor.
        added:
          src/hrm_functions.c
          src/hrm_functions.h
        modified:
          po/POTFILES.in
          src/Makefile.am
          src/globals.c
          src/globals.h
        ------------------------------------------------------------
        revno: 6.1.10
        author: Marcus Bauer <marcus.bauer@gmail.com>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Tue 2010-10-05 22:30:58 -0400
        message:
          Align some assignments.
        modified:
          src/globals.c
        ------------------------------------------------------------
        revno: 6.1.9
        author: Tobias Prousa <topro@gmx.de>
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: tangogps
        timestamp: Tue 2010-10-05 22:30:47 -0400
        message:
          Probe for BlueZ, so that we can support bluetooth devices.
        modified:
          configure.in
------------------------------------------------------------
revno: 134 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-11-02 12:27:29 -0400
message:
  Merged updated Hungarian translation.
modified:
  po/hu.po
    ------------------------------------------------------------
    revno: 133.1.1
    author: György Balló <ballogy@freestart.hu>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: foxtrotgps-1.0.x
    timestamp: Tue 2010-11-02 11:06:33 -0400
    message:
      Updated Hungarian translation.
    modified:
      po/hu.po
------------------------------------------------------------
revno: 133 [merge]
tags: foxtrotgps-1.0.0
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-10-24 22:47:22 -0400
message:
  Fix for long-standing misreference to `the metrical system'.
  Corrected to "metric".
modified:
  data/foxtrotgps.glade
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
    ------------------------------------------------------------
    revno: 132.1.1
    committer: Brian H Wilson <brian@wildsong.biz>
    branch nick: foxtrotgps-drunix
    timestamp: Sun 2010-10-24 19:17:18 -0700
    message:
      Fix for bug 663102   Misspelled word "metrical"
    modified:
      data/foxtrotgps.glade
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
------------------------------------------------------------
revno: 132
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-10-17 20:49:13 -0400
message:
  Just let cb_gpsd_io_error() determine the error-callback return value.
modified:
  src/gps_functions.c
------------------------------------------------------------
revno: 131
author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-10-17 17:08:52 -0400
message:
  Recover gracefully if we lose our connection to gpsd.
  cf.: https://bugs.launchpad.net/foxtrotgps/+bug/662297
modified:
  src/gps_functions.c
------------------------------------------------------------
revno: 130 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-10-11 14:11:30 -0400
message:
  Slightly more general support for loading tracks from GPX files.
modified:
  src/tracks.c
    ------------------------------------------------------------
    revno: 6.1.8
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Tue 2010-10-05 22:12:47 -0400
    message:
      Load GPX *routepoints* as well as trackpoints.
    modified:
      src/tracks.c
------------------------------------------------------------
revno: 129
committer: Timo Jyrinki <timo.jyrinki@iki.fi>
branch nick: foxtrotgps
timestamp: Sun 2010-09-12 10:51:09 +0300
message:
  Fix the 1 fuzzy in fi translation. (intltool-update ran so a big diff)
modified:
  po/fi.po
------------------------------------------------------------
revno: 128
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-09-03 22:45:31 -0400
message:
  Whoah--"FoxtrotGPS" shouldn't be translated into `tangoGPS' in
  Russian....
modified:
  po/ru.po
------------------------------------------------------------
revno: 127 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-09-03 22:45:05 -0400
message:
  Cleaner support for re-branding & automatic version-labelling in
  the GUI,
  such that we don't make the translators' lives unnecessarily difficult
  or the GUI-editors' lives unnecessarily awkward.
renamed:
  data/foxtrotgps.glade.in => data/foxtrotgps.glade
modified:
  .bzrignore
  configure.in
  data/Makefile.am
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
  src/geo_photos.c
  src/main.c
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 126.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: intl-cleanup
    timestamp: Fri 2010-09-03 21:36:23 -0400
    message:
      Don't have bzr ignore foxtrotgps.glade anymore, since we're *not*
      autogenerating it.
    modified:
      .bzrignore
    ------------------------------------------------------------
    revno: 126.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: intl-cleanup
    timestamp: Tue 2010-08-31 00:43:35 -0400
    message:
      Actually, let's just substitute the (translated) package-name and
      -version into the GUI at runtime.
    renamed:
      data/foxtrotgps.glade.in => data/foxtrotgps.glade
    modified:
      configure.in
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
      src/geo_photos.c
      src/main.c
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 126.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: intl-cleanup
    timestamp: Tue 2010-08-31 00:00:54 -0400
    message:
      Distribute the (built) foxtrotgps.glade in releases.

      This should make the job of translators at least a little easier,
      since they can get by without having to have all of the dependencies
      installed just so that they can run ./configure to make a data-file
      (and intltool-update can `just work').

      This also allows `make distcheck' to work!
    modified:
      data/Makefile.am
------------------------------------------------------------
revno: 126 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-08-27 01:07:52 -0400
message:
  Minor fixes from tangoGPS for (potential) bugs.
modified:
  src/gps_functions.c
  src/tracks.c
    ------------------------------------------------------------
    revno: 6.1.7
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Thu 2010-08-26 18:14:24 -0400
    message:
      Try to avoid overflowing our output-buffer in track_log().
    modified:
      src/tracks.c
    ------------------------------------------------------------
    revno: 6.1.6
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Sat 2010-08-21 00:15:42 -0400
    message:
      Fixed mixup between trackpoint lat_deg and lon_deg members.
      Luckily, nothing appears to use either of them....
    modified:
      src/gps_functions.c
------------------------------------------------------------
revno: 125 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-08-27 01:06:44 -0400
message:
  Enable the `Clear' button in the `Tracks' info-pane.
modified:
  src/callbacks.c
  src/tracks.c
  src/tracks.h
    ------------------------------------------------------------
    revno: 6.1.5
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Wed 2010-08-18 23:28:41 -0400
    message:
      Enabled the `Clear' button in the `Tracks' info-pane.
    modified:
      src/callbacks.c
      src/tracks.c
      src/tracks.h
------------------------------------------------------------
revno: 124 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-08-27 01:03:04 -0400
message:
  Minor cleanup from tangoGPS.
modified:
  src/friends.c
  src/main.c
    ------------------------------------------------------------
    revno: 6.1.4
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Mon 2010-08-02 20:57:39 -0400
    message:
      Report only the package-version in the HTTP User-Agent string.
    modified:
      src/friends.c
    ------------------------------------------------------------
    revno: 6.1.3
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Mon 2010-08-02 20:56:13 -0400
    message:
      Minor whitespace/formatting changes.
    modified:
      src/friends.c
    ------------------------------------------------------------
    revno: 6.1.2
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Sun 2010-08-01 17:53:42 -0400
    message:
      Reformatted gthread probe/initialisation to be more readable.
    modified:
      src/main.c
    ------------------------------------------------------------
    revno: 6.1.1
    author: Marcus Bauer <marcus.bauer@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps
    timestamp: Sun 2010-08-01 17:51:25 -0400
    message:
      Removed superfluous locking of the GUI in main().
    modified:
      src/main.c
------------------------------------------------------------
revno: 123
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-08-27 00:31:19 -0400
message:
  This should be released as FoxtrotGPS 1.0.0, shortly.
modified:
  NEWS
  configure.in
------------------------------------------------------------
revno: 122 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-08-27 00:19:12 -0400
message:
  Document basic invocation/use information.
modified:
  doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 107.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: manual
    timestamp: Fri 2010-08-27 00:13:51 -0400
    message:
      Note the existence of the context menu, and drag-to-pan.
    modified:
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 107.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: manual
    timestamp: Fri 2010-08-27 00:07:30 -0400
    message:
      Note the existence of options that are likely to concern end users.
      Just "--fullscreen", for now; don't bother documenting the options
      that we inherit from GOption or GTK+.
    modified:
      doc/foxtrotgps.1
    ------------------------------------------------------------
    revno: 107.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: manual
    timestamp: Fri 2010-08-27 00:06:47 -0400
    message:
      Note the inclusion of the foxtrotgps(1) man page.
    modified:
      NEWS
    ------------------------------------------------------------
    revno: 107.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: manual
    timestamp: Fri 2010-08-27 00:05:04 -0400
    message:
      Updated the name from "foxtrotGPS" to "FoxtrotGPS" with a capital
      "F".
    modified:
      doc/foxtrotgps.1
------------------------------------------------------------
revno: 121
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-25 23:24:24 -0400
message:
  Suppress misguided advice from intltoolize
  by informing it that it's working alongside Automake.
modified:
  autogen.sh
------------------------------------------------------------
revno: 120 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-25 23:20:56 -0400
message:
  *Do* inhibit redraws while dragging the map.
modified:
  src/callbacks.c
  src/globals.c
  src/globals.h
  src/tile_management.c
    ------------------------------------------------------------
    revno: 119.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: no-dragging-refresh
    timestamp: Wed 2010-08-25 23:16:28 -0400
    message:
      Don't redraw the map if it's in the midst of being dragged.
      This prevents the map from `jumping' during drags,
      which can be *extremely* annoying now that we allow
      eager loading of new tiles--since there's one jump per tile
      rather than one jump after the last outstanding download.
    modified:
      src/tile_management.c
    ------------------------------------------------------------
    revno: 119.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: no-dragging-refresh
    timestamp: Wed 2010-08-25 23:10:16 -0400
    message:
      Made drag_started into a global variable
      so that map_redraw() can query it from tile_management.c.
    modified:
      src/callbacks.c
      src/globals.c
      src/globals.h
------------------------------------------------------------
revno: 119
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-08-24 00:22:32 -0400
message:
  Don't allow pending downloads to block display updates.
modified:
  NEWS
  src/tile_management.c
------------------------------------------------------------
revno: 118
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-08-24 00:15:08 -0400
message:
  Fixed typo's and other silly/problematic phrasing.
modified:
  NEWS
------------------------------------------------------------
revno: 117
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-08-23 22:56:34 -0400
message:
  Note the inclusion of the foxtrotgps(1) man page.
modified:
  NEWS
------------------------------------------------------------
revno: 116
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-22 23:35:37 -0400
message:
  Note inclusion of contrib scripts.
modified:
  NEWS
------------------------------------------------------------
revno: 115
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:52:08 -0400
message:
  Install & distribute the georss2foxtrotgps-poi script.
modified:
  contrib/Makefile.am
------------------------------------------------------------
revno: 114
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:51:57 -0400
message:
  Adapted georss2tangogps-poi to FoxtrotGPS.
renamed:
  contrib/georss2tangogps-poi => contrib/georss2foxtrotgps-poi
modified:
  contrib/georss2foxtrotgps-poi
------------------------------------------------------------
revno: 113
author: Paul Wise <pabs@debian.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:51:42 -0400
message:
  A Python script to import GeoRSS points into our POI database.
  From <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530718>.
added:
  contrib/georss2tangogps-poi
------------------------------------------------------------
revno: 112
author: Pavel Zubkou <thegowr@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:50:21 -0400
message:
  Corrected ordering of output trkpt contents, so that output validates.
  cf.: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=521700>.
modified:
  contrib/convert2gpx
------------------------------------------------------------
revno: 111
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:32:37 -0400
message:
  Updated the name from "foxtrotGPS" to "FoxtrotGPS" with a capital "F".
modified:
  contrib/convert2gpx.1
  contrib/convert2osm.1
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 110
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:32:11 -0400
message:
  Install & distribute the converters and their man pages.
added:
  contrib/Makefile.am
modified:
  Makefile.am
  configure.in
------------------------------------------------------------
revno: 109
author: Daniel Baumann <daniel@debian.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:30:36 -0400
message:
  Man pages for the converter-scripts.
added:
  contrib/convert2gpx.1
  contrib/convert2osm.1
------------------------------------------------------------
revno: 108
author: Marcus Bauer <marcus.bauer@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 18:28:45 -0400
message:
  Perl scripts to convert track-logs from tangoGPS format to GPX and OSM.
added:
  contrib/
  contrib/convert2gpx
  contrib/convert2osm
------------------------------------------------------------
revno: 107
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 17:26:27 -0400
message:
  Install & distribute the foxtrotgps(1) man page.
added:
  doc/Makefile.am
modified:
  Makefile.am
  configure.in
------------------------------------------------------------
revno: 106
author: Daniel Baumann <daniel@debian.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 17:24:57 -0400
message:
  A man page, so that we have some sort of manual.
added:
  doc/
  doc/foxtrotgps.1
------------------------------------------------------------
revno: 105
author: Daniel Baumann <daniel@debian.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-08-08 01:23:22 -0400
message:
  Removed non-standard `SingleInstance' key.
  This was a Matchbox-specific key used to prevent Matchbox from spawning
  multiple instances of the application; to be standard-compliant, this
  should be renamed to X-MB-SingleInstance (which is what Matchbox
  has done in more recent revisions), but this should probably be
  something
  that packagers add in whatever form is actually appropriate to their
  system, if they actually even want it..., so let's just remove it,
  at least for the time being.

  If there's overwhelming community demand for one form or another,
  then we can put it back in.
modified:
  data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 104
author: Luca Capello <luca@pca.it>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-04 22:35:33 -0400
message:
  Use a more appropriate (and standard-compliant) set of categories.
modified:
  data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 103
author: Daniel Baumann <daniel@debian.org>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-04 22:23:52 -0400
message:
  Use the package's proper name in the .desktop `Name' field.
  Moved the more generic name to `GenericName' field.
modified:
  data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 102
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-04 22:16:45 -0400
message:
  Don't distribute translated foxtrotgps.desktop.in (and remove it on
  `make distclean').

  It will be built as needed along with everything else,
  and shipping it probably just makes more work for packagers
  if they need to patch it.
modified:
  data/Makefile.am
------------------------------------------------------------
revno: 101 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-08-04 21:39:03 -0400
message:
  Tell `intltool-update --maintain' to ignore foxtrotgps.glade.in.
added:
  po/POTFILES.skip
    ------------------------------------------------------------
    revno: 75.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: glade-autosubst
    timestamp: Tue 2010-08-03 23:33:28 -0400
    message:
      Tell intltool-update that `missing' translatables are intentional.
      Otherwise, `make check' fails.
    added:
      po/POTFILES.skip
    ------------------------------------------------------------
    revno: 75.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: glade-autosubst
    timestamp: Tue 2010-08-03 22:04:33 -0400
    message:
      Tell bzr to ignore foxtrotgps.glade, since it's now output from
      ./configure
    modified:
      .bzrignore
------------------------------------------------------------
revno: 100
tags: foxtrotgps-0.99.4
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-06-14 21:16:09 -0400
message:
  Tell bzr to ignore foxtrotgps.glade, since it's now output from
  ./configure
modified:
  .bzrignore
------------------------------------------------------------
revno: 99
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-06-14 20:20:35 -0400
message:
  Increment patch-number, bringing package-version to 0.99.4.
modified:
  configure.in
------------------------------------------------------------
revno: 98 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-06-14 20:18:54 -0400
message:
  Prevent the make-target for ChangeLog from breaking builds from
  release tarballs.
modified:
  Makefile.am
  configure.in
    ------------------------------------------------------------
    revno: 93.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: auto-changelog
    timestamp: Mon 2010-06-14 20:10:20 -0400
    message:
      Make ChangeLog a freestanding make-target unless bzr dirstate
      actually exists.
      Since the $(wildcard) construct may not work with all
      makes, and automake knows that, tell automake to not issue
      portability-warnings.
    modified:
      Makefile.am
      configure.in
------------------------------------------------------------
revno: 97
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-06-13 23:49:50 -0400
message:
  Fixed typos.
modified:
  NEWS
------------------------------------------------------------
revno: 96 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-06-11 08:24:28 -0400
message:
  Removed superfluous `create way' menu-items from the `ways & routes'
  menu, along with its callbacks.
modified:
  data/foxtrotgps.glade.in
  src/callbacks.c
  src/callbacks.h
    ------------------------------------------------------------
    revno: 24.3.78
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Fri 2010-06-11 08:23:40 -0400
    message:
      We don't need on_item22_button_release_event() either.
    modified:
      src/callbacks.c
      src/callbacks.h
    ------------------------------------------------------------
    revno: 24.3.77
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Fri 2010-06-11 08:20:48 -0400
    message:
      Actually, just remove it--it's entirely superfluous.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.76
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Fri 2010-06-11 08:19:19 -0400
    message:
      This `create way' menu-item shouldn't be visible.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 95 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-06-11 08:10:14 -0400
message:
  Inform the Makefile's ChangeLog target about the bzr dirstate, and
  vice versa.
modified:
  .bzrignore
  Makefile.am
    ------------------------------------------------------------
    revno: 93.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: auto-changelog
    timestamp: Fri 2010-06-11 08:00:13 -0400
    message:
      Don't track ChangeLog in bzr.
    modified:
      .bzrignore
    ------------------------------------------------------------
    revno: 93.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: auto-changelog
    timestamp: Fri 2010-06-11 07:57:00 -0400
    message:
      Regenerate ChangeLog when bzr dirstate changes.
    modified:
      Makefile.am
    ------------------------------------------------------------
    revno: 93.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: auto-changelog
    timestamp: Fri 2010-06-11 07:50:21 -0400
    message:
      Use long option, `bzr log --verbose', for clarity.
    modified:
      Makefile.am
------------------------------------------------------------
revno: 94 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2010-06-10 09:24:29 -0400
message:
  Correctly pad the trip-meter's `Speed' display.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.75
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Thu 2010-06-10 09:21:59 -0400
    message:
      Removed now-extraneous padding around trip-meter's `Speed' label.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 93
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2010-06-10 09:11:10 -0400
message:
  Autogenerate ChangeLog using bzr.
removed:
  ChangeLog
modified:
  Makefile.am
------------------------------------------------------------
revno: 92 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2010-06-10 09:04:38 -0400
message:
  Mark strings `untranslatable' the way Glade really wants to, to prevent
  spurious diffs when saving unrelated changes.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.74
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Thu 2010-06-10 08:59:06 -0400
    message:
      Allow Glade to just remove the `translatable' property from
      untranslatable strings.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 91 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2010-06-10 09:02:54 -0400
message:
  Corrected widget-packing flubs in trip-meter display.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.73
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Thu 2010-06-10 08:57:06 -0400
    message:
      Restored spacing and packing to the trip-meter's `Stop' and
      `Reset' buttons.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.72
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Thu 2010-06-10 08:40:58 -0400
    message:
      Prevent undue expansion of the trip-meter table.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 90 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-09 09:30:51 -0400
message:
  Updated Finnish translation.
modified:
  po/fi.po
    ------------------------------------------------------------
    revno: 88.1.1
    committer: Timo Jyrinki <timo.jyrinki@iki.fi>
    branch nick: foxtrotgps-dev
    timestamp: Wed 2010-06-09 11:18:39 +0300
    message:
      Update Finnish translation of FoxtrotGPS.
    modified:
      po/fi.po
------------------------------------------------------------
revno: 89 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-09 09:29:40 -0400
message:
  Corrected widget-alignment issues.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.71
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Wed 2010-06-09 09:27:37 -0400
    message:
      Restored missing padding around `Lat & Lon' style-configuration
      radio-button box.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.70
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Wed 2010-06-09 09:10:35 -0400
    message:
      Restored left-alignment to `Trip Meter' labels.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 88
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-06-08 10:53:38 -0400
message:
  Corrected inconsistencies between different lists of POI-categories.
modified:
  data/foxtrotgps.glade.in
------------------------------------------------------------
revno: 87 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-06-08 10:53:13 -0400
message:
  Prevent GTK+ stock-icon names from getting into the
  translation-template.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.69
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-06-08 10:51:58 -0400
    message:
      Mark stock icon-names as untranslatable.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 86 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-06-07 10:14:03 -0400
message:
  Avoid cluttering-up translations with untranslatable whitespace strings.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.68
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-06-07 10:11:24 -0400
    message:
      Mark spacers as untranslatable to avoid cluttering-up translations.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 85 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-06-05 20:04:01 -0400
message:
  Corrected transcription-errors from conversion of the GUI to GladeXML.
modified:
  data/foxtrotgps.glade.in
    ------------------------------------------------------------
    revno: 24.3.67
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 15:22:44 -0400
    message:
      Removed spurious tab-character.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.66
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 15:08:20 -0400
    message:
      Restored elipsis to the `new map repository' button ("New...").
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.65
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 13:52:34 -0400
    message:
      Restored original linebreaking in the `GPS Info' window.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.64
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 12:42:56 -0400
    message:
      Restored missing colon in Configuration GUI.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.63
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 12:40:38 -0400
    message:
      Restore consistent spacing in `Page [N/M]' labels.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.62
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 12:16:07 -0400
    message:
      Restored missing space in `+ N zoom levels' selectors, and missing
      size-estimates.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 84 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-06-05 20:03:36 -0400
message:
  Consistently avoid whitespace-padding button-label texts.
modified:
  src/friends.c
    ------------------------------------------------------------
    revno: 24.3.61
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-06-05 12:15:24 -0400
    message:
      Removed whitespace padding around labels in automatically created
      buttons, for consistency.
    modified:
      src/friends.c
------------------------------------------------------------
revno: 83
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-06-05 20:02:29 -0400
message:
  Also include prerequisites as part of the installation-instructions.
modified:
  INSTALL
------------------------------------------------------------
revno: 82
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-06-05 19:47:01 -0400
message:
  Note build-time and run-time prerequisites.
modified:
  README
------------------------------------------------------------
revno: 81
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Thu 2010-06-03 11:14:24 -0400
message:
  Draft list of differences between the impending first release of
  FoxtrotGPS and the last version of tangoGPS before we branched.
modified:
  NEWS
------------------------------------------------------------
revno: 80
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 23:47:08 -0400
message:
  Added missing newline in error output for corrupt map repo_name values
  in GConf.
modified:
  src/init.c
------------------------------------------------------------
revno: 79
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 23:23:09 -0400
message:
  Removed developer-listing from the GUI.
  This isn't really the right place to be listing contributors, since
  there isn't really space for more than one lead `and community'; if
  we're going to show any individual developer-names anywhere, then we
  should be able to show the entire AUTHORS list regardless of how long
  it is.
  Even if that wasn't the case, it would be inappropriate to mislead users
  into giving Marcus the blame (or credit) for any issues (or additions)
  that we develop independently of him.
modified:
  data/foxtrotgps.glade.in
------------------------------------------------------------
revno: 78
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 23:12:04 -0400
message:
  Just use PACKAGE_STRING to indicate package & version in the GUI.
  This obviates the need to figure out how to manage the relationship
  between translations and ./configure substitutions....
modified:
  data/foxtrotgps.glade.in
------------------------------------------------------------
revno: 77
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 23:08:08 -0400
message:
  Allow ./configure to directly write the package-version into the
  GladeXML file.
  Don't bother relabelling the relevant widget at runtime.
modified:
  data/foxtrotgps.glade.in
  src/init.c
------------------------------------------------------------
revno: 76 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 22:58:15 -0400
message:
  Make it easy to re-brand the package.
  Use Autoconf PACKAGE and PACKAGE_NAME variables wherever possible,
  rather than hard-coding "foxtrotgps" and "FoxtrotGPS" all over the
  place.
modified:
  configure.in
  data/foxtrotgps.glade.in
  src/friends.c
  src/geo_photos.c
  src/globals.h
  src/init.c
  src/poi.c
  src/tile_management.c
  src/wp.c
    ------------------------------------------------------------
    revno: 14.1.17
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 08:40:16 -0400
    message:
      Define user-visible labels in terms of PACKAGE_NAME rather than
      hard-coding "FoxtrotGPS".
    modified:
      src/geo_photos.c
      src/init.c
      src/interface.c
    ------------------------------------------------------------
    revno: 14.1.16
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 08:32:01 -0400
    message:
      Base HTTP User-Agent string on PACKAGE rather than hard-coding
      "foxtrotgps".
    modified:
      src/tile_management.c
    ------------------------------------------------------------
    revno: 14.1.15
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 01:16:27 -0400
    message:
      Define all package-specific file-paths in terms of PACKAGE.
    modified:
      src/friends.c
      src/geo_photos.c
      src/init.c
      src/poi.c
      src/wp.c
    ------------------------------------------------------------
    revno: 14.1.14
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 01:12:16 -0400
    message:
      Define GCONF in terms of PACKAGE.
    modified:
      src/globals.h
    ------------------------------------------------------------
    revno: 14.1.13
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 01:01:10 -0400
    message:
      Refer to `GCONF' constant in *all* instances where the app's GConf
      paths are used.
    modified:
      src/init.c
    ------------------------------------------------------------
    revno: 14.1.12
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:54:04 -0400
    message:
      Abandon the idiomatic `PNAME' constant in favour of GNU-standard
      `PACKAGE'.
    modified:
      src/globals.h
      src/init.c
    ------------------------------------------------------------
    revno: 14.1.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:53:37 -0400
    message:
      Pass the proper (mixed-case) package-name to AC_INIT.
      Define constants for C code: PACKAGE as the downcased version for
      use in filesystem-paths and such, and PACKAGE_NAME as the proper
      name for use in UI labels.
    modified:
      configure.in
------------------------------------------------------------
revno: 75
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 22:52:18 -0400
message:
  Allow ./configure and config.status to perform substitutions on
  GladeXML strings.
renamed:
  data/foxtrotgps.glade => data/foxtrotgps.glade.in
modified:
  configure.in
  data/Makefile.am
------------------------------------------------------------
revno: 74 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-06-02 22:16:28 -0400
message:
  Capitalise the "F" in "FoxtrotGPS".
modified:
  data/foxtrotgps.glade
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
  src/geo_photos.c
  src/init.c
    ------------------------------------------------------------
    revno: 14.1.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:46:39 -0400
    message:
      That's "FoxtrotGPS", with a capital "F".
      "foxtrotGPS" is awkward and confusing, so let's just use normal
      initial capitalisation.
    modified:
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
      src/geo_photos.c
      src/init.c
      src/interface.c
    ------------------------------------------------------------
    revno: 14.1.9 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:45:28 -0400
    message:
      Mainline fixes and adjustments to the build infrastructure.
    removed:
      acconfig.h
      po/Makefile.in.in
      po/foxtrotgps.pot
    added:
      autogen.sh
    modified:
      .bzrignore
      Makefile.am
      configure.in
      data/Makefile.am
      pixmaps/Makefile.am
      src/Makefile.am
    ------------------------------------------------------------
    revno: 14.1.8 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:44:47 -0400
    message:
      Removed GUI-elements referring users to the project web-site.
    modified:
      src/interface.c
    ------------------------------------------------------------
    revno: 14.1.7 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:44:26 -0400
    message:
      Mainline dependency-handling cleanup.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 14.1.6
    author: Dailos Franchy Gil <dfranchy@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:43:48 -0400
    message:
      Updated Spanish translation [cherrypicked from trunk].
    modified:
      po/es.po
    ------------------------------------------------------------
    revno: 14.1.5 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Wed 2010-06-02 00:09:25 -0400
    message:
      Mainline translations & internationalisation updates.
    removed:
      po/LINGUAS
    renamed:
      data/foxtrotgps.desktop => data/foxtrotgps.desktop.in
    modified:
      .bzrignore
      configure.in
      data/Makefile.am
      po/Makefile.in.in
      po/POTFILES.in
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/foxtrotgps.pot
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
      data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 73
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-06-01 21:59:48 -0400
message:
  Define _XOPEN_SOURCE so that the strptime() prototype is visible
  via <time.h>.
  It looks like building with CFLAGS="-Wall -Werror" now works.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 72 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-31 15:28:16 -0400
message:
  Restored finger-friendliness to toolbar-buttons.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.60
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-31 15:27:20 -0400
    message:
      Restored toolbar-buttons to their original sizes.
      The default sizes are something short of finger-friendly--especially
      on small, high-density displays like the FreeRunner.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 71 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-31 02:54:04 -0400
message:
  New main application icon, specifically created for FoxtrotGPS.
removed:
  pixmaps/foxtrotgps.png
added:
  pixmaps/foxtrotgps.png
    ------------------------------------------------------------
    revno: 14.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Mon 2010-05-31 02:38:02 -0400
    message:
      New foxtrotgps icon, actually distinct from the tangogps one.
    removed:
      pixmaps/foxtrotgps.png
    added:
      pixmaps/foxtrotgps.png
------------------------------------------------------------
revno: 70
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-31 02:53:46 -0400
message:
  Fixed lat-/lon-parsing regexp in photo-geocoding script.
  It'll still fail to record photos from the equator or prime meridian
  into the DB, but at least it doesn't fail when <10 minutes away from
  a whole degree.
modified:
  src/geo_photos.c
------------------------------------------------------------
revno: 69 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-31 02:53:14 -0400
message:
  Converted geocoding dialogues to GladeXML/libglade.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/geo_photos.c
  src/interface.c
  src/interface.h
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.59
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-31 02:52:09 -0400
    message:
      Recreated `Image Data' dialogue, replacing
      create_dialog_image_data().
    modified:
      data/foxtrotgps.glade
      src/geo_photos.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.58
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-30 20:44:21 -0400
    message:
      Recreated `Geocode Result' dialogue, replacing
      create_dialog_geocode_result().
    modified:
      data/foxtrotgps.glade
      src/geo_photos.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.57
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-30 19:57:24 -0400
    message:
      Recreated `Photo Correlate' dialogue, replacing
      create_dialog_geocode().
    modified:
      data/foxtrotgps.glade
      src/geo_photos.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.56
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-30 00:13:20 -0400
    message:
      Destroy instances of win13_biggeo rather than just hiding them.
      It doesn't look like we ever reuse them.
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 24.3.55
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-29 23:22:59 -0400
    message:
      Recreated `GeoPhoto' popup photo-viewer window, replacing
      create_win13_biggeo().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.54
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-29 23:09:27 -0400
    message:
      Recreated `Geo Photo' popup preview-window, replacing
      create_window3().
    modified:
      data/foxtrotgps.glade
      src/interface.c
      src/interface.h
      src/main.c
------------------------------------------------------------
revno: 68 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-31 01:41:59 -0400
message:
  Prevent tracks_on_file_button_release_event() from messing with window12
  when it shouldn't.
modified:
  src/tracks.c
    ------------------------------------------------------------
    revno: 24.3.53 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Thu 2010-05-27 01:15:56 -0400
    message:
      Fixed fatal track-loading bug reachable via geocoding.
    modified:
      src/tracks.c
        ------------------------------------------------------------
        revno: 24.5.1
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: trackloader-gui-bugfix
        timestamp: Thu 2010-05-27 01:12:52 -0400
        message:
          Don't allow tracks_on_file_button_release_event() to mess
          with window12 unless it's actually being called on behalf
          of window12.
          This prevents a segfault if the dedicated track-loading
          machinery hasn't been used before photo-geocoding is attempted,
          and also resolves an issue from tangoGPS whereby geocoding
          kills an unrelated pending `Load track...' window.
        modified:
          src/tracks.c
------------------------------------------------------------
revno: 67
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-24 20:38:46 -0400
message:
  Specifically probe for libgps >= 2.90 with pkg-config.
  We really shouldn't astonish the user with crazy build-errors after
  a successful run of ./configure, if we can help it.
modified:
  configure.in
------------------------------------------------------------
revno: 66 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 23:56:30 -0400
message:
  Corrected GUI-layout mixups around position-sharing registration.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.52
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 23:55:45 -0400
    message:
      Position the `Register' button at the correct point in the
      widget-hierarchy.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.51
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 23:55:28 -0400
    message:
      Added missing label-widget used to show position-sharing
      registration output.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 65 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 22:21:29 -0400
message:
  Converted `friends' & IM dialogues to GladeXML/libglade.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/friends.c
  src/interface.c
  src/interface.h
    ------------------------------------------------------------
    revno: 24.3.50
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 22:17:20 -0400
    message:
      Recreated `Message' dialogue in GladeXML, replacing
      create_dialog9().
    modified:
      data/foxtrotgps.glade
      src/friends.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.49
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 20:09:00 -0400
    message:
      Recreated `Friend Info' dialogue in GladeXML, replacing
      create_window8().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
------------------------------------------------------------
revno: 64 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 22:20:44 -0400
message:
  Better libglade support in lookup_widget().
modified:
  src/support.c
    ------------------------------------------------------------
    revno: 24.3.48
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 20:08:14 -0400
    message:
      Allow lookup_widget() to resolve libglade widgets via non-libglade
      children.
    modified:
      src/support.c
    ------------------------------------------------------------
    revno: 24.3.47 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-23 00:30:28 -0400
    message:
      Additional Autotools cleanup from the mainline, including reduced
      compile-warnings.
    modified:
      configure.in
      src/Makefile.am
------------------------------------------------------------
revno: 63 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 00:09:27 -0400
message:
  Converted route-loading dialogue to GladeXML/libglade.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/interface.c
  src/interface.h
    ------------------------------------------------------------
    revno: 24.3.46
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-22 23:15:43 -0400
    message:
      Recreated `Get Route' dialogue in GladeXML, replacing
      create_dialog10().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
------------------------------------------------------------
revno: 62 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 00:08:41 -0400
message:
  Nit from Glade.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.45
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-22 22:09:11 -0400
    message:
      It looks like toolitems really want to be non-homogeneous.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 61 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 00:05:24 -0400
message:
  Added missing M4 quoting.
modified:
  configure.in
    ------------------------------------------------------------
    revno: 25.1.18
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Sun 2010-05-23 00:00:52 -0400
    message:
      Added missing M4 quoting.
    modified:
      configure.in
------------------------------------------------------------
revno: 60 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-23 00:04:16 -0400
message:
  Avoid compile-warnings from cc defaulting to the wrong C standard.
modified:
  configure.in
  src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.17
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Sat 2010-05-22 23:28:34 -0400
    message:
      Specifically link against libm, since we use functions from
      <math.h>.
      Don't rely on our other dependencies just happening to pull it in
      with their own "-lm".
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.16
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Sat 2010-05-22 23:26:07 -0400
    message:
      Try to ensure that the C compiler is operating with C99 support.
      This should fix the compile-warnings about missing math prototypes.
    modified:
      configure.in
------------------------------------------------------------
revno: 59 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-17 10:07:50 -0400
message:
  Restored tooltips on the main window's toolbar.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.44
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-17 10:06:30 -0400
    message:
      Those should be tooltips on the main window's toolbar, not labels.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 58 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-16 19:20:24 -0400
message:
  Converted to POI-management windows to GladeXML/libglade.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/interface.c
  src/interface.h
  src/poi.c
    ------------------------------------------------------------
    revno: 24.3.43
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-16 19:15:22 -0400
    message:
      Recreated `Add POI' dialogue in GladeXML, replacing
      create_window6().
    modified:
      data/foxtrotgps.glade
      src/interface.c
      src/interface.h
      src/poi.c
    ------------------------------------------------------------
    revno: 24.3.42
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-16 17:04:57 -0400
    message:
      Recreated `Edit POI' dialogue in GladeXML, replacing
      create_window10().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.41
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-16 15:17:30 -0400
    message:
      Recreated `Delete POI?' dialogue in GladeXML, replacing
      create_dialog7().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.40
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-16 00:06:12 -0400
    message:
      Recreated `Show POIs' dialogue in GladeXML, replacing
      create_dialog6().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.39
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 23:57:16 -0400
    message:
      Don't leak GladeXML objects--destroy the window5 GladeXML along
      with window5.
    modified:
      src/poi.c
    ------------------------------------------------------------
    revno: 24.3.38
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 23:26:39 -0400
    message:
      Recreated `POI' dialogue in GladeXML, replacing create_window5().
      Note that we're leaking memory by creating new GladeXML objects
      and not destroying them....
    modified:
      data/foxtrotgps.glade
      src/interface.c
      src/interface.h
      src/poi.c
------------------------------------------------------------
revno: 57
author: Dailos Franchy Gil <dfranchy@gmail.com>
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-16 14:50:38 -0400
message:
  Updated Spanish translation.
modified:
  po/es.po
------------------------------------------------------------
revno: 56 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-16 00:09:46 -0400
message:
  Promoted `gladefile' var from main() scope to global.
modified:
  src/globals.c
  src/globals.h
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.37
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 23:15:41 -0400
    message:
      Promoted `gladefile' var to global so that we can create
      non-unique/-persistent windows.
    modified:
      src/globals.c
      src/globals.h
      src/main.c
------------------------------------------------------------
revno: 55 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-05-15 21:46:21 -0400
message:
  Renamed some widgets to make the GladeXML identifiers match the original
  names in interface.c.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.36
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 21:43:36 -0400
    message:
      Renamed dialog-action_area3 widget to dialog_action_area3, to
      match the original code from interface.c.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.35
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 21:42:28 -0400
    message:
      Renamed dialog-action_area2 widget to dialog_action_area9, to
      match the original code from interface.c.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.34
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 20:51:14 -0400
    message:
      Renamed image3 widget to image12, to match the original code
      from interface.c.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 54 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-05-15 19:15:21 -0400
message:
  Get translatable strings from the new GladeXML UI-definition.
modified:
  po/POTFILES.in
    ------------------------------------------------------------
    revno: 24.3.33
    author: Dailos Franchy Gil <dfranchy@gmail.com>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sat 2010-05-15 12:43:20 -0400
    message:
      Get translatable strings from the new GladeXML UI-definition.
    modified:
      po/POTFILES.in
------------------------------------------------------------
revno: 53 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-05-11 22:40:50 -0400
message:
  Prevent GTK+ from destroying dialog1, dialog8, and dialog3 on
  delete-event.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.32
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-11 22:40:26 -0400
    message:
      Added missing delete-event handlers to dialog1, dialog8, and
      dialog3.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 52 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-05-11 22:39:01 -0400
message:
  Recreated `Map Download' dialogue in GladeXML.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/interface.c
  src/interface.h
  src/tile_management.c
    ------------------------------------------------------------
    revno: 24.3.31
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-11 22:28:26 -0400
    message:
      Recreated `Map Download' dialogue in GladeXML, replacing
      create_dialog4().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
      src/tile_management.c
------------------------------------------------------------
revno: 51 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-05-11 08:41:02 -0400
message:
  Recreated track-management dialogues in GladeXML.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/interface.c
  src/interface.h
  src/tracks.c
    ------------------------------------------------------------
    revno: 24.3.30
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-11 08:39:35 -0400
    message:
      Don't allow GTK+ to destroy window12 on delete.
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 24.3.29
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-11 08:35:16 -0400
    message:
      Clear all of the tracks out of the listing after hiding window12.
    modified:
      src/callbacks.c
      src/tracks.c
    ------------------------------------------------------------
    revno: 24.3.28
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-11 00:35:37 -0400
    message:
      Recreated `Load track...' dialogue in GladeXML, replacing
      create_window12().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
      src/tracks.c
    ------------------------------------------------------------
    revno: 24.3.27
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-10 23:57:08 -0400
    message:
      Recreated `Trackdir Config' dialogue in GladeXML, replacing
      create_dialog3().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
------------------------------------------------------------
revno: 50 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-05-11 00:00:43 -0400
message:
  Recreated `GPS Info' dialogue in GladeXML.
modified:
  data/foxtrotgps.glade
  src/interface.c
  src/interface.h
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.26
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-10 23:38:59 -0400
    message:
      Recreated `GPS Info' dialogue in GladeXML, replacing
      create_window2().
    modified:
      data/foxtrotgps.glade
      src/interface.c
      src/interface.h
      src/main.c
------------------------------------------------------------
revno: 49
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-10 23:06:31 -0400
message:
  Try to provide a README that's actually informative.
modified:
  README
------------------------------------------------------------
revno: 48
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-10 22:37:26 -0400
message:
  List primary contributors in AUTHORS.
  I guess that'd be Marcus and me, for now.
modified:
  AUTHORS
------------------------------------------------------------
revno: 47 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-10 20:53:13 -0400
message:
  Allow a GladeXML file to be specified from the command-line.
  Among other things, this should help some developers wanting tight
  hack-build-test cycles.
modified:
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.25
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-10 20:39:49 -0400
    message:
      Added a "--gui=" command option that can be used to specify a
      GladeXML file at startup.
    modified:
      src/main.c
    ------------------------------------------------------------
    revno: 24.3.24 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-10 20:39:23 -0400
    message:
      General code-cleanup from the mainline, including a proper
      command-line option-parser.
    modified:
      src/main.c
    ------------------------------------------------------------
    revno: 24.3.23 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-05-10 20:36:30 -0400
    message:
      Autotools cleanup from the mainline.
    removed:
      acconfig.h
      po/Makefile.in.in
    modified:
      .bzrignore
      Makefile.am
      configure.in
      data/Makefile.am
      pixmaps/Makefile.am
      src/Makefile.am
------------------------------------------------------------
revno: 46 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-05-10 20:51:29 -0400
message:
  A proper command-line option-parser.
modified:
  src/main.c
    ------------------------------------------------------------
    revno: 26.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: goption-parser
    timestamp: Mon 2010-05-10 08:38:26 -0400
    message:
      Use GLib for command-line option-parsing, rather than rolling
      our own.
      The "-fullscreen" option thus becomes a more normal "--fullscreen."
    modified:
      src/main.c
------------------------------------------------------------
revno: 45 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-09 22:06:17 -0400
message:
  Fail the right way if we can't load our GUI-definition.
modified:
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.22
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-09 22:06:10 -0400
    message:
      Fail with clear intent and explanation if we can't loud our
      GUI-definition.
    modified:
      src/main.c
------------------------------------------------------------
revno: 44 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 09:00:10 -0400
message:
  A UI to control detail-scaling.
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/callbacks.h
    ------------------------------------------------------------
    revno: 1.1.6
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps_detail-zoom
    timestamp: Thu 2010-04-29 22:02:38 -0400
    message:
      Simplified sensitivity-management on the `more/smaller details'
      menu-item.
      Rather than distributing checks and sets throughout
      activate_larger_map_details(), activate_more_map_details(),
      create_menu1(), just put the logic into a new
      set_map_detail_menuitem_sensitivity() connected to the submenu-item
      itself.
    modified:
      src/callbacks.c
      src/callbacks.h
      src/interface.c
    ------------------------------------------------------------
    revno: 1.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps_detail-zoom
    timestamp: Thu 2010-04-29 20:35:06 -0400
    message:
      Fixed mis-labelling in output from detail-zoom callbacks.
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 1.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps_detail-zoom
    timestamp: Sun 2009-10-25 21:12:05 -0400
    message:
      Added a UI (submenu and items) for the `detail zoom' feature.
    modified:
      src/callbacks.c
      src/callbacks.h
      src/interface.c
------------------------------------------------------------
revno: 43 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 01:52:17 -0400
message:
  Back-end code for a `detail-scaling' feature.
modified:
  src/globals.c
  src/globals.h
  src/init.c
  src/map_management.c
    ------------------------------------------------------------
    revno: 1.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps-0.9.7
    timestamp: Sun 2009-10-25 21:07:04 -0400
    message:
      Simplified the `detail zoom' code, with less impact on surrounding
      code;
      and made detail-zoom download map-tiles for the correct level.
    modified:
      src/map_management.c
    ------------------------------------------------------------
    revno: 1.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps-0.9.7
    timestamp: Sat 2009-10-24 15:13:54 -0400
    message:
      Allow a *minimum* `overzoom' to be specified via gconf
      so that the user can choose to make all of the map-details
      larger than they would be when just naively loading raster tiles
      at the display's native resolution. The FreeRunner, for example,
      has a native resolution of ~280 DPI, but the OpenStreetMap tiles
      are rendered expecting a resolution more like 96 DPI
      (which is common on commodity desktop/laptop displays),
      so the text rendered in these tiles is *very* small when
      loaded naively on the FreeRunner.

      Since we might be upscaling *all the time*, don't even use
      bilinear interpolation; nearest-neightbour is the fastest we
      can get,
      and is probably `OK enough' for upscaling (the pixels just become
      visible if things are upscaled too far, instead of being blurred
      as with bilinear interpolation).
    modified:
      src/globals.c
      src/globals.h
      src/init.c
      src/map_management.c
------------------------------------------------------------
revno: 42 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 01:45:08 -0400
message:
  Slight refactoring to improve maintainability of overzoom.
  The segfault-fix is no longer applicable, since tiles are cached rather
  than freed.
modified:
  src/map_management.c
    ------------------------------------------------------------
    revno: 1.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: tangogps-0.9.7
    timestamp: Sun 2009-10-04 13:46:35 -0400
    message:
      Fixed segfault due to sloppy overapplication of g_object_unref():
      pixmap_scaled was not being reinitialised to NULL between runs
      of load_tile().

      Refactored so that `pixmap' and `pixmap_scaled' are no longer
      globals,
      so there's less book-keeping to even need to worry about,
      and the cleanup that remains is closer to where the data-structures
      are initialised and used (avoiding the `out of sight, out of mind'
      issue).
    modified:
      src/map_management.c
------------------------------------------------------------
revno: 41 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 00:56:17 -0400
message:
  Corrected widget-packing mistakes: don't expand when it makes things
  ugly.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.21
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-04 22:25:53 -0400
    message:
      Don't expand the GPSD-settings widgets to fill available space.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.20
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-05-04 22:22:16 -0400
    message:
      Corrected widget-packing in the main "GPS Data" display.
      *Don't* expand/spread to occupy whatever space is available.
    modified:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 40
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 00:43:50 -0400
message:
  Actually use the configured gpsd host & port from GConf at startup
  rather than loading but ignoring them until the "Change GPSD" button
  is activated.
modified:
  src/init.c
------------------------------------------------------------
revno: 39
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 00:36:53 -0400
message:
  Moved intialisation of global_server and global_port from main()
  to pre_init(), where other parameters are initialised.
modified:
  src/init.c
  src/main.c
------------------------------------------------------------
revno: 38 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-05-07 00:09:35 -0400
message:
  Use libgps to talk to gpsd, rather than try to implement the protocol
  ourselves.

  The protocol happens to have changed completely as of gpsd/libgps 2.90,
  so we're now basically un-breaking ourselves with respect to the
  new gpsd.

  Also, it looks like libgps supports resolving hostnames transparently,
  where the old tangoGPS code supported only IP addresses.

  Thanks to Timo Juhani Lindfors for doing the conversion.
modified:
  configure.in
  src/Makefile.am
  src/globals.c
  src/globals.h
  src/gps_functions.c
    ------------------------------------------------------------
    revno: 14.2.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: libgps-support
    timestamp: Wed 2010-05-05 23:50:28 -0400
    message:
      Fixed segfault due to NaN times from libgps resulting in NULLs
      from localtime().
    modified:
      src/gps_functions.c
    ------------------------------------------------------------
    revno: 14.2.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: libgps-support
    timestamp: Wed 2010-05-05 23:06:06 -0400
    message:
      Inverted sense of return-value from gps_poll(): 0 means success.
    modified:
      src/gps_functions.c
    ------------------------------------------------------------
    revno: 14.2.3
    author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: libgps-support
    timestamp: Sun 2010-05-02 20:23:13 -0400
    message:
      Use libgps instead of custom NMEA parser.
      First try, only minimal testing has been done.
    modified:
      src/gps_functions.c
    ------------------------------------------------------------
    revno: 14.2.2
    author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: libgps-support
    timestamp: Sun 2010-05-02 20:22:41 -0400
    message:
      Link against libgps.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 14.2.1
    author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: libgps-support
    timestamp: Sun 2010-05-02 20:20:36 -0400
    message:
      Rename gps_{data,fix}_t to tangogps_gps_{data,fix}_t so that they
      do no clash with types defined in libgps.
    modified:
      src/globals.c
      src/globals.h
      src/gps_functions.c
------------------------------------------------------------
revno: 37 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-02 14:12:49 -0400
message:
  Oops--removed extraneous sub-menu from the "select POIs" menu-item.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.19 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 14:09:30 -0400
    message:
      Another stupid popup-menu mistake.
    modified:
      data/foxtrotgps.glade
        ------------------------------------------------------------
        revno: 24.2.4
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: gladification
        timestamp: Sun 2010-05-02 14:07:48 -0400
        message:
          How did that child-menu get in there?
        modified:
          data/foxtrotgps.glade
------------------------------------------------------------
revno: 36 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-02 02:51:09 -0400
message:
  Bugfixes in the reconstructed main window.
modified:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.18 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 02:43:49 -0400
    message:
      Fixed mistake in reconstruction of the main window.
    modified:
      data/foxtrotgps.glade
        ------------------------------------------------------------
        revno: 24.4.1
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: gladification
        timestamp: Sun 2010-05-02 02:09:01 -0400
        message:
          Correct label on the "Auto download map tiles" checkbox.
        modified:
          data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.17 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 02:43:23 -0400
    message:
      Fixed mistakes in reconstruction of the main window's popup menu.
    modified:
      data/foxtrotgps.glade
        ------------------------------------------------------------
        revno: 24.2.3
        committer: Joshua Judson Rosen <rozzin@geekspace.com>
        branch nick: gladification
        timestamp: Sun 2010-05-02 01:57:51 -0400
        message:
          "show friends", "show POIs", and "show photos" menu-items
          should be *checkbox* menu-items.
        modified:
          data/foxtrotgps.glade
------------------------------------------------------------
revno: 35 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-02 02:50:06 -0400
message:
  Recreated repository-management dialogues in GladeXML, replacing
  create_dialog1() and create_dialog8().
modified:
  data/foxtrotgps.glade
  src/callbacks.c
  src/interface.c
  src/interface.h
    ------------------------------------------------------------
    revno: 24.3.16
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 02:42:07 -0400
    message:
      Recreated `Edit Repository' dialogue in GladeXML, replacing
      create_dialog8().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.15
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 01:37:45 -0400
    message:
      Removed superfluous, half-hearted cleanup-code from
      on_cancelbutton1_clicked().
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 24.3.14
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 01:35:29 -0400
    message:
      Reset all fields in the `New Repository' dialogue before
      (re)showing it.
      This should have been necessary before now, if not for
      the memory-leak between on_cancelbutton1_clicked() and
      on_button7_clicked()....
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 24.3.13
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 01:16:57 -0400
    message:
      Don't *destroy* the `New Repository' dialogue on OK.
      libglade doesn't re-create it each time like create_dialog1() did,
      so just *hide* it on OK (just like is done on cancel) so that the
      same widget can just be reused (re-shown) later instead of crashing.
    modified:
      src/callbacks.c
    ------------------------------------------------------------
    revno: 24.3.12
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 01:07:29 -0400
    message:
      Recreated `New Repository' dialogue (`dialog1') in GladeXML.
      Deleted create_dialog1().
    modified:
      data/foxtrotgps.glade
      src/callbacks.c
      src/interface.c
      src/interface.h
------------------------------------------------------------
revno: 34 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-05-02 02:48:56 -0400
message:
  Made `gladexml' a program-global variable.
modified:
  src/globals.c
  src/globals.h
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Sun 2010-05-02 00:31:45 -0400
    message:
      Expanded the scope of main()'s `gladexml' var to program-global
      so that callbacks can reference it.
    modified:
      src/globals.c
      src/globals.h
      src/main.c
------------------------------------------------------------
revno: 33 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Fri 2010-04-30 09:26:05 -0400
message:
  Removed constructor-functions obsoleted by the GladeXML
  GUI-reconstruction.
modified:
  src/interface.c
  src/interface.h
    ------------------------------------------------------------
    revno: 24.3.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Fri 2010-04-30 09:25:40 -0400
    message:
      Removed create_window1() and create_menu1(), since they've been
      replace with GladeXML definitions.
    modified:
      src/interface.c
      src/interface.h
------------------------------------------------------------
revno: 32 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 21:59:35 -0400
message:
  Include foxtrotgps.desktop.in in releases.
modified:
  data/Makefile.am
    ------------------------------------------------------------
    revno: 15.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: i18n
    timestamp: Wed 2010-04-28 21:58:01 -0400
    message:
      Include foxtrotgps.desktop.in in releases.
    modified:
      data/Makefile.am
------------------------------------------------------------
revno: 31 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 21:48:37 -0400
message:
  Give up bad Autotools practices for good.
  No more warnings during autoreconf!
removed:
  acconfig.h
modified:
  Makefile.am
  configure.in
  data/Makefile.am
  pixmaps/Makefile.am
  src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.15
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 21:43:50 -0400
    message:
      Don't include compiler-specific or Autoconf-default flags in
      AM_CFLAGS.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.14
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 21:41:49 -0400
    message:
      Don't pass "-DHAVE_CONFIG_H" to the C-compiler.
      Autoconf automatically supplies this if we're using config.h.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.13
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 21:40:31 -0400
    message:
      Don't pass "-DRELEASE" to the C-compiler.
      It appears to be a no-op.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.12
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 21:15:02 -0400
    message:
      Identify source-tree by looking for actual source-files
      that aren't maintainer-level parts of the build-system.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 25.1.11
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 20:53:37 -0400
    message:
      Just use Autoconf's `docdir' rather than (incorrectly) installing
      documentation under ${prefix}/doc.
    modified:
      Makefile.am
    ------------------------------------------------------------
    revno: 25.1.10
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 20:46:57 -0400
    message:
      Use the "dist_" prefix instead of EXTRA_DIST, where appropriate.
    modified:
      Makefile.am
      data/Makefile.am
      pixmaps/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.9
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 20:26:15 -0400
    message:
      Removed junk comment.
    modified:
      data/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.8
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 20:23:59 -0400
    message:
      Updated Autoconf/Automake initialisation.
      Passing package-name, version, and e-mail address to AC_INIT allows
      ./configure to define a bunch of useful symbols in the Makefiles
      and config.h.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 25.1.7
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 20:21:50 -0400
    message:
      Updated Autoconf/Automake initialisation.
      Passing package-name and version to AC_INIT allows ./configure to
      define a bunch of useful symbols in the Makefiles and config.h.
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 25.1.6
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 19:33:57 -0400
    message:
      Unify INCLUDES and AM_CPPFLAGS
      since the former is deprecated in favour of the latter.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 19:28:18 -0400
    message:
      Just use the standard Autoconf variables rather than defining our
      own (superfluous) abstractions over them.
    modified:
      configure.in
      data/Makefile.am
      pixmaps/Makefile.am
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 18:56:03 -0400
    message:
      Define symbolic paths via the Makefile with "-D" CPPFLAGS
      as recommended by the Autoconf manual.
      This is safer than using AC_DEFINE_UNQUOTED.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 25.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 17:34:31 -0400
    message:
      Removed unused superfluous symbol-definitions:

          - PACKAGE_DOC_DIR (& $packagedocdir)
          - PACKAGE_HELP_DIR (& $packagehelpdir)
          - PACKAGE_MENU_DIR (& $packagemenudir)
          - PACKAGE_SOURCE_DIR (& $packagesrcdir)
    modified:
      configure.in
    ------------------------------------------------------------
    revno: 25.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 16:58:15 -0400
    message:
      Removed acconfig.h, since it's deprecated these days.
      And we're going to trash much of what's being templated in it,
      anyway.
    removed:
      acconfig.h
------------------------------------------------------------
revno: 30 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 21:10:07 -0400
message:
  Ignore now-untracked, autogenerated po/Makefile.in.in.
modified:
  .bzrignore
    ------------------------------------------------------------
    revno: 25.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: autotools-cleanup
    timestamp: Wed 2010-04-28 15:05:25 -0400
    message:
      Have bzr ignore po/Makefile.in.in.
    modified:
      .bzrignore
------------------------------------------------------------
revno: 29 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 00:12:42 -0400
message:
  Start loading GUI elements with libglade instead of the autogenerated
  constructor-functions.
modified:
  src/main.c
    ------------------------------------------------------------
    revno: 24.3.9
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-04-27 23:50:20 -0400
    message:
      Load the main window's popup menu with libglade rather than using
      create_menu1().
    modified:
      src/main.c
    ------------------------------------------------------------
    revno: 24.3.8 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-04-27 23:49:55 -0400
    message:
      Define the main window's popup menu (`menu1') in GladeXML.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.3.7 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-04-27 23:46:09 -0400
    message:
      Removed vestigial(?) callbacks.
    modified:
      src/callbacks.c
      src/callbacks.h
    ------------------------------------------------------------
    revno: 24.3.6 [merge]
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Tue 2010-04-27 23:45:56 -0400
    message:
      Removed vestigial(?) constructors of unused GUI-elements.
    modified:
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.3.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:49:32 -0400
    message:
      Load the main window (`window1') with libglade rather than using
      create_window1() from interface.c.
    modified:
      src/main.c
------------------------------------------------------------
revno: 28 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 00:08:12 -0400
message:
  Infrastructure to support loading GUI components with libglade.
modified:
  configure.in
  data/Makefile.am
  src/Makefile.am
  src/support.c
    ------------------------------------------------------------
    revno: 24.3.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:48:33 -0400
    message:
      Install foxtrotgps.glade, and include it in releases.
    modified:
      data/Makefile.am
    ------------------------------------------------------------
    revno: 24.3.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:48:08 -0400
    message:
      Export symbols from the executable so that libglade can resolve
      callbacks automatically.
    modified:
      src/Makefile.am
    ------------------------------------------------------------
    revno: 24.3.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:45:39 -0400
    message:
      Make lookup_widget() capable of finding widgets via libglade
      so that we can try replacing hard-coded GUI-elements with
      GladeXML-based definitions.
    modified:
      src/support.c
    ------------------------------------------------------------
    revno: 24.3.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:42:05 -0400
    message:
      Probe for libglade with pkg-config during ./configure
      and include the relevant CFLAGS and LIBS when building.
    modified:
      configure.in
      src/Makefile.am
------------------------------------------------------------
revno: 27 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-28 00:03:03 -0400
message:
  GladeXML definitions for the main window and popup menu.
added:
  data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.2.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gladification
    timestamp: Mon 2010-04-26 21:56:15 -0400
    message:
      Define the popup menu (`menu1') used in the main window.
    modified:
      data/foxtrotgps.glade
    ------------------------------------------------------------
    revno: 24.2.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-recreation
    timestamp: Mon 2010-04-26 21:40:41 -0400
    message:
      Glade GUI-definition for the main window (`window1').
    added:
      data/foxtrotgps.glade
------------------------------------------------------------
revno: 26 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-27 23:59:57 -0400
message:
  Removed vestigial(?) functions in the GUI implementation.
modified:
  src/callbacks.c
  src/callbacks.h
  src/interface.c
  src/interface.h
    ------------------------------------------------------------
    revno: 24.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-cleanup
    timestamp: Tue 2010-04-27 23:11:09 -0400
    message:
      Removed unused callbacks--vestiges of earlier GUI-designs in
      tangoGPS?
    modified:
      src/callbacks.c
      src/callbacks.h
    ------------------------------------------------------------
    revno: 24.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-cleanup
    timestamp: Tue 2010-04-27 12:29:13 -0400
    message:
      create_dialog2() isn't called from anywhere--delete it.
    modified:
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-cleanup
    timestamp: Mon 2010-04-26 22:05:36 -0400
    message:
      create_filechooserdialog1() isn't called from anywhere--delete it.
    modified:
      src/interface.c
      src/interface.h
    ------------------------------------------------------------
    revno: 24.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: gui-cleanup
    timestamp: Sat 2010-04-24 22:01:12 -0400
    message:
      Removed unreachable GUI-components and callbacks in the main window.
      It's just too confusing.
    modified:
      src/callbacks.c
      src/interface.c
------------------------------------------------------------
revno: 25
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-25 19:38:37 -0400
message:
  Don't bother tracking the Makefile.in.in from intltool--
  just let it be created when ./autogen.sh runs intltool,
  rather than *always* `warning' the pre-existing file.
removed:
  po/Makefile.in.in
------------------------------------------------------------
revno: 24
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sat 2010-04-24 18:21:38 -0400
message:
  Run intltoolize before autoreconf
  so that a missing intltool results in less mysterious errors.
modified:
  autogen.sh
------------------------------------------------------------
revno: 23
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-04-19 11:35:45 -0400
message:
  Added the usual autogen.sh bootstrapping-from-VC script,
  since "autoreconf --install" doesn't quite cover *everything*.
added:
  autogen.sh
------------------------------------------------------------
revno: 22
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Mon 2010-04-19 01:02:23 -0400
message:
  Removed foxtrotgps.pot translation-template, since `make clean'
  removes it anyway, and there are other targets that recreate it.
removed:
  po/foxtrotgps.pot
------------------------------------------------------------
revno: 21
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-18 22:44:12 -0400
message:
  Removed GUI elements referring users to the project web-site for
  documentation.
  Even if we did have up-to-date documentation that we could host,
  this is clearly the wrong way to hook documentation into the app--
  referring the user (nebulously) to a website that may not even
  by reachable if the application is being used somewhere
  without an Internet-connection.
modified:
  src/interface.c
------------------------------------------------------------
revno: 20 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-18 22:34:10 -0400
message:
  Cleaned-up the way that required libraries are handled;
  don't astonish the user by failing to build
  (due to missing headers and/or libraries)
  after a successful `./configure' run!
modified:
  configure.in
  src/Makefile.am
    ------------------------------------------------------------
    revno: 19.1.5
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: build-deps
    timestamp: Sun 2010-04-18 22:28:45 -0400
    message:
      Let Autoconf and pkg-config handle the link-flags for libgthread,
      too.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 19.1.4
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: build-deps
    timestamp: Sun 2010-04-18 22:24:36 -0400
    message:
      Split the `PACKAGE' pkg-config prob into individual probs for GTK+,
      GConf, and libxml2.
      And don't bother specifying the link-flags for each library--
      just let autoconf and pkg-config handle that.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 19.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: build-deps
    timestamp: Sun 2010-04-18 21:37:25 -0400
    message:
      Use pkg-config to probe for sqlite3 during `./configure'.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 19.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: build-deps
    timestamp: Sun 2010-04-18 21:36:02 -0400
    message:
      Use pkg-config to probe for libcurl during `./configure'.
    modified:
      configure.in
      src/Makefile.am
    ------------------------------------------------------------
    revno: 19.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: build-deps
    timestamp: Sun 2010-04-18 20:58:50 -0400
    message:
      Use pkg-config to probe for libexif during `./configure'.
    modified:
      configure.in
      src/Makefile.am
------------------------------------------------------------
revno: 19 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-18 19:12:47 -0400
message:
  Major update to the Finnish translation from Timo Jyrinki.
modified:
  po/fi.po
    ------------------------------------------------------------
    revno: 17.1.1
    committer: Timo Jyrinki <timo.jyrinki@iki.fi>
    branch nick: foxtrotgps-dev
    timestamp: Sun 2010-04-18 12:44:35 +0300
    message:
      Updated Finnish translation for FoxtrotGPS.
    modified:
      po/fi.po
------------------------------------------------------------
revno: 18 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-18 19:08:21 -0400
message:
  Updated translation-files with new templates--thanks to Risto H. Kurppa.
modified:
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
    ------------------------------------------------------------
    revno: 16.1.1
    committer: Risto H. Kurppa <risto@kurppa.fi>
    branch nick: foxtrotgps-dev
    timestamp: Sun 2010-04-18 10:45:53 +0300
    message:
      Updated .po files to include
                      strings from foxtrotgps.desktop.
    modified:
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
------------------------------------------------------------
revno: 17 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Sun 2010-04-18 03:17:14 -0400
message:
  Fixed breakage caused by overzealous replacement of "tango" with
  "foxtrot".
  Friend-tracker & IM should work again, now that they're pointing at
  the right server.
modified:
  src/friends.c
  src/globals.h
  src/tracks.c
    ------------------------------------------------------------
    revno: 14.1.3
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Sun 2010-04-18 03:16:12 -0400
    message:
      Revert "tango"/"foxtrot" substitution in comments describing the
      tangoGPS-specific GPS-driving API.
      We don't really want to `own' that API....
    modified:
      src/globals.h
    ------------------------------------------------------------
    revno: 14.1.2
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Sun 2010-04-18 01:39:02 -0400
    message:
      Reverted "tango"-to-"foxtrot" changes in `friends'/IM service URLs:
      we don't have code for the server-implementation,
      so it wouldn't be straight-forward to run our own
      copy of the service even if we wanted to.

      Rather than try to implement our own compatible server,
      just continue to use Marcus' server/service at tangogps.org--
      probably until we can replace this entirely with something open;
      there's probably not much point in splitting the community
      just for the sake of it.
    modified:
      src/friends.c
      src/globals.h
      src/tracks.c
------------------------------------------------------------
revno: 16 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Wed 2010-04-14 09:24:51 -0400
message:
  i18n improvements from Timo `Mirv' Jyrinki.

  Note that foxtrotgps.desktop is now generated from foxtrotgps.desktop.in
  thanks to intltool.

  Mirv says that he's removed the empty LINGUAS file because it "seemingly
  prevented the desktop translations from being properly collected".
removed:
  po/LINGUAS
renamed:
  data/foxtrotgps.desktop => data/foxtrotgps.desktop.in
modified:
  .bzrignore
  configure.in
  data/Makefile.am
  po/Makefile.in.in
  po/POTFILES.in
  po/foxtrotgps.pot
  data/foxtrotgps.desktop.in
    ------------------------------------------------------------
    revno: 15.1.2
    committer: Timo Jyrinki <timo.jyrinki@iki.fi>
    branch nick: foxtrotgps-dev
    timestamp: Wed 2010-04-14 16:22:31 +0300
    message:
      Add stamp-it, .intltool-merge-cache and foxtrotgps.desktop to
      .bzrignore
    modified:
      .bzrignore
    ------------------------------------------------------------
    revno: 15.1.1
    committer: Timo Jyrinki <timo.jyrinki@iki.fi>
    branch nick: foxtrotgps-dev
    timestamp: Wed 2010-04-14 11:06:40 +0300
    message:
      Add i18n to the .desktop file and update intltool Makefile.in.in
    removed:
      po/LINGUAS
    renamed:
      data/foxtrotgps.desktop => data/foxtrotgps.desktop.in
    modified:
      configure.in
      data/Makefile.am
      po/Makefile.in.in
      po/POTFILES.in
      po/foxtrotgps.pot
      data/foxtrotgps.desktop.in
------------------------------------------------------------
revno: 15 [merge]
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 21:27:02 -0400
message:
  Changed the project/package name to "foxtrotGPS".
renamed:
  data/tangogps.desktop => data/foxtrotgps.desktop
  pixmaps/tangogps-friend.png => pixmaps/foxtrotgps-friend.png
  pixmaps/tangogps-myposition.png => pixmaps/foxtrotgps-myposition.png
  pixmaps/tangogps-photo.png => pixmaps/foxtrotgps-photo.png
  pixmaps/tangogps-poi.png => pixmaps/foxtrotgps-poi.png
  pixmaps/tangogps-wp.png => pixmaps/foxtrotgps-wp.png
  pixmaps/tangogps.png => pixmaps/foxtrotgps.png
  po/tangogps.pot => po/foxtrotgps.pot
modified:
  .bzrignore
  Makefile.am
  configure.in
  data/Makefile.am
  pixmaps/Makefile.am
  po/bg.po
  po/cs.po
  po/de.po
  po/es.po
  po/fi.po
  po/fr.po
  po/hu.po
  po/nl.po
  po/ru.po
  po/sk.po
  src/Makefile.am
  src/friends.c
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/init.c
  src/interface.c
  src/poi.c
  src/tile_management.c
  src/tracks.c
  src/wp.c
  data/foxtrotgps.desktop
  po/foxtrotgps.pot
    ------------------------------------------------------------
    revno: 14.1.1
    committer: Joshua Judson Rosen <rozzin@geekspace.com>
    branch nick: project-rename
    timestamp: Tue 2010-04-13 21:13:14 -0400
    message:
      Replaced occurrences of "tango" with "foxtrot" in code/text,
      and renamed files starting with "tango" to start with "foxtrot".
    renamed:
      data/tangogps.desktop => data/foxtrotgps.desktop
      pixmaps/tangogps-friend.png => pixmaps/foxtrotgps-friend.png
      pixmaps/tangogps-myposition.png => pixmaps/foxtrotgps-myposition.png
      pixmaps/tangogps-photo.png => pixmaps/foxtrotgps-photo.png
      pixmaps/tangogps-poi.png => pixmaps/foxtrotgps-poi.png
      pixmaps/tangogps-wp.png => pixmaps/foxtrotgps-wp.png
      pixmaps/tangogps.png => pixmaps/foxtrotgps.png
      po/tangogps.pot => po/foxtrotgps.pot
    modified:
      .bzrignore
      Makefile.am
      configure.in
      data/Makefile.am
      pixmaps/Makefile.am
      po/bg.po
      po/cs.po
      po/de.po
      po/es.po
      po/fi.po
      po/fr.po
      po/hu.po
      po/nl.po
      po/ru.po
      po/sk.po
      src/Makefile.am
      src/friends.c
      src/geo_photos.c
      src/globals.c
      src/globals.h
      src/init.c
      src/interface.c
      src/poi.c
      src/tile_management.c
      src/tracks.c
      src/wp.c
      data/foxtrotgps.desktop
      po/foxtrotgps.pot
------------------------------------------------------------
revno: 14
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 20:06:49 -0400
message:
  Ignore ltmain.sh, generated by libtoolize.
modified:
  .bzrignore
------------------------------------------------------------
revno: 13
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 20:05:52 -0400
message:
  Ignore `Makefile.in' files, generated by automake.
modified:
  .bzrignore
------------------------------------------------------------
revno: 12
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 20:03:38 -0400
message:
  Don't track .gmo and .mo translation-table files, since they're
  autogenerated by builds.
removed:
  po/bg.gmo
  po/cs.gmo
  po/de.gmo
  po/es.gmo
  po/fi.gmo
  po/fr.gmo
  po/hu.gmo
  po/nl.gmo
  po/ru.gmo
  po/sk.gmo
modified:
  .bzrignore
------------------------------------------------------------
revno: 11
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 20:00:36 -0400
message:
  Looks like I was a tad overzealous in removing autogenerated stuff....

  The i18n stuff still expects mkinstalldirs to `just exist'.
added:
  mkinstalldirs
modified:
  .bzrignore
------------------------------------------------------------
revno: 10
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: trunk
timestamp: Tue 2010-04-13 09:08:30 -0400
message:
  Don't track Autotools-generated infrastructure.
removed:
  Makefile.in
  aclocal.m4
  config.guess
  config.h.in
  config.sub
  configure
  data/Makefile.in
  depcomp
  install-sh
  ltmain.sh
  missing
  mkinstalldirs
  pixmaps/Makefile.in
  src/Makefile.in
modified:
  .bzrignore
------------------------------------------------------------
revno: 9
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: foxtrotgps
timestamp: Mon 2010-04-12 23:50:54 -0400
message:
  We're not going to rely on Anjuta to write our Autotools files for us.
modified:
  Makefile.am
  configure.in
  data/Makefile.am
  pixmaps/Makefile.am
  po/POTFILES.in
  src/Makefile.am
------------------------------------------------------------
revno: 8
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: foxtrotgps
timestamp: Mon 2010-04-12 23:46:22 -0400
message:
  Don't track autom4te.cache.
removed:
  autom4te.cache/
  autom4te.cache/output.0
  autom4te.cache/output.1
  autom4te.cache/requests
  autom4te.cache/traces.0
  autom4te.cache/traces.1
modified:
  .bzrignore
------------------------------------------------------------
revno: 7
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: foxtrotgps
timestamp: Mon 2010-04-12 23:34:34 -0400
message:
  Ignore autogenerated files.
added:
  .bzrignore
------------------------------------------------------------
revno: 6
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps
timestamp: Mon 2010-04-12 22:23:33 -0400
message:
  Updates from tangogps-0.99.3 ("Speedblaster") tarball.
added:
  po/nl.gmo
  po/nl.po
modified:
  configure
  configure.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/sk.gmo
  po/sk.po
  po/tangogps.pot
  src/callbacks.c
  src/callbacks.h
  src/friends.c
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/gps_functions.h
  src/init.c
  src/init.h
  src/interface.c
  src/interface.h
  src/map_management.c
  src/map_management.h
  src/poi.c
  src/support.c
  src/tile_management.c
  src/tracks.c
  src/tracks.h
------------------------------------------------------------
revno: 5
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps
timestamp: Mon 2010-04-12 22:21:25 -0400
message:
  Updates from tangogps-0.99.2 ("interface polish") tarball.
modified:
  configure
  configure.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/sk.gmo
  po/sk.po
  po/tangogps.pot
  src/callbacks.c
  src/callbacks.h
  src/converter.c
  src/friends.c
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/init.c
  src/interface.c
  src/support.c
  src/tracks.c
  src/util.c
------------------------------------------------------------
revno: 4
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps
timestamp: Mon 2010-04-12 22:20:30 -0400
message:
  Updates from tangogps-0.99.1 ("lots of layout love") tarball.
added:
  autom4te.cache/
  autom4te.cache/output.0
  autom4te.cache/output.1
  autom4te.cache/requests
  autom4te.cache/traces.0
  autom4te.cache/traces.1
  po/LINGUAS
  po/sk.gmo
  po/sk.po
modified:
  Makefile.in
  aclocal.m4
  config.h.in
  configure
  configure.in
  data/Makefile.in
  ltmain.sh*
  pixmaps/Makefile.in
  po/Makefile.in.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/tangogps.pot
  src/Makefile.in
  src/callbacks.c
  src/callbacks.h
  src/converter.c
  src/friends.c
  src/friends.h
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/init.c
  src/interface.c
  src/interface.h
  src/main.c
  src/poi.c
  src/tile_management.c
  src/tracks.c
  src/tracks.h
  src/util.c
  src/util.h
------------------------------------------------------------
revno: 3
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps
timestamp: Mon 2010-04-12 22:19:13 -0400
message:
  Updates from tangogps-0.9.9 `bugfix + GPX-loader' tarball.
modified:
  configure
  configure.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/tangogps.pot
  src/Makefile.am
  src/Makefile.in
  src/converter.c
  src/gps_functions.c
  src/init.c
  src/interface.c
  src/map_management.c
  src/tile_management.c
  src/tracks.c
------------------------------------------------------------
revno: 2
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps
timestamp: Mon 2010-04-12 22:17:24 -0400
message:
  Updates from tangogps-0.9.8 ("connecting people") tarball.
modified:
  configure
  configure.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/tangogps.pot
  src/callbacks.c
  src/callbacks.h
  src/friends.c
  src/friends.h
  src/geo_photos.c
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/init.c
  src/interface.c
  src/interface.h
  src/main.c
  src/map_management.c
  src/poi.c
  src/util.c
  src/util.h
  src/wp.c
------------------------------------------------------------
revno: 1
committer: Joshua Judson Rosen <rozzin@geekspace.com>
branch nick: tangogps-0.9.7
timestamp: Fri 2009-09-25 22:35:15 -0400
message:
  Imported from tangogps-0.9.7 tarball.
added:
  AUTHORS
  COPYING
  ChangeLog
  INSTALL
  Makefile.am
  Makefile.in
  NEWS
  README
  TODO
  acconfig.h
  acinclude.m4
  aclocal.m4
  config.guess
  config.h.in
  config.sub
  configure
  configure.in
  data/
  data/Makefile.am
  data/Makefile.in
  data/tangogps.desktop
  depcomp
  install-sh
  ltmain.sh
  missing
  mkinstalldirs
  pixmaps/
  pixmaps/Makefile.am
  pixmaps/Makefile.in
  pixmaps/tangogps-friend.png
  pixmaps/tangogps-myposition.png
  pixmaps/tangogps-photo.png
  pixmaps/tangogps-poi.png
  pixmaps/tangogps-wp.png
  pixmaps/tangogps.png
  po/
  po/ChangeLog
  po/Makefile.in.in
  po/POTFILES.in
  po/bg.gmo
  po/bg.po
  po/cs.gmo
  po/cs.po
  po/de.gmo
  po/de.po
  po/es.gmo
  po/es.po
  po/fi.gmo
  po/fi.po
  po/fr.gmo
  po/fr.po
  po/hu.gmo
  po/hu.po
  po/ru.gmo
  po/ru.po
  po/tangogps.pot
  src/
  src/Makefile.am
  src/Makefile.in
  src/callbacks.c
  src/callbacks.h
  src/converter.c
  src/converter.h
  src/exif.c
  src/exif.h
  src/friends.c
  src/friends.h
  src/geo_photos.c
  src/geo_photos.h
  src/globals.c
  src/globals.h
  src/gps_functions.c
  src/gps_functions.h
  src/gpsdstart.sh
  src/init.c
  src/init.h
  src/interface.c
  src/interface.h
  src/main.c
  src/map_management.c
  src/map_management.h
  src/poi.c
  src/poi.h
  src/support.c
  src/support.h
  src/tile_management.c
  src/tile_management.h
  src/tracks.c
  src/tracks.h
  src/util.c
  src/util.h
  src/wp.c
  src/wp.h
